/**
 * 
 */
package com.chinaitop.depot.basic.controller;

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.basic.service.BasicCodeRuleDetailService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

/**
 * 编码规则子表.
* <p>Title: BasicCodeRuleDetailController</p>
* <p>Description: </p>
* @author yaoyabin
* @date 2018年1月10日 下午3:14:36
 */
@RestController
@RequestMapping(value="/depot/basic/codeRuleDetail")
@Api(value= "BasicCodeRuleDetailController", description = "编码规则子表控制类")
public class BasicCodeRuleDetailController {
    @Autowired
    private BasicCodeRuleDetailService basicCodeRuleDetailService;
    
    
    /**
     * 删除
     * @param id 主键
     * @return
     */
    @RequestMapping(value="/remove", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.POST)
    @ApiOperation(value="删除", notes = "删除")
	@ApiImplicitParams({
		@ApiImplicitParam(name = "id", value = "主键ID", paramType = "form")
	})
    public Map<String, Object> remove(Integer id) {
        Map<String, Object> modelMap = new HashMap<String, Object>();
        if (id != null) {
            basicCodeRuleDetailService.remove(id);
        }
        modelMap.put("status", "success");
        return modelMap;
    }
}
