package com.chinaitop.depot.basic.mapper;

import com.chinaitop.depot.basic.model.BasicCodeRule;
import com.chinaitop.depot.basic.model.BasicCodeRuleExample;

import java.util.List;

import org.apache.ibatis.annotations.Param;

public interface BasicCodeRuleMapper {
    int countByExample(BasicCodeRuleExample example);

    int deleteByExample(BasicCodeRuleExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BasicCodeRule record);

    int insertSelective(BasicCodeRule record);

    List<BasicCodeRule> selectByExample(BasicCodeRuleExample example);

    BasicCodeRule selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BasicCodeRule record, @Param("example") BasicCodeRuleExample example);

    int updateByExample(@Param("record") BasicCodeRule record, @Param("example") BasicCodeRuleExample example);

    int updateByPrimaryKeySelective(BasicCodeRule record);

    int updateByPrimaryKey(BasicCodeRule record);

    /**
     * 获取表名为(tableName)的字段为(codeRuleField)的与likeStr能like的最后一条数据.
     * @param tableName
     * @param codeRuleField
     * @param likeStr
     * @return
     */
    String getLastNumber(@Param("tableName")String tableName, 
            @Param("codeRuleField")String codeRuleField, @Param("likeStr")String likeStr);
}