package com.chinaitop.depot.basic.mapper;

import com.chinaitop.depot.basic.model.BasicKeeperHouse;
import com.chinaitop.depot.basic.model.BasicKeeperHouseExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BasicKeeperHouseMapper {
    int countByExample(BasicKeeperHouseExample example);

    int deleteByExample(BasicKeeperHouseExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BasicKeeperHouse record);

    int insertSelective(BasicKeeperHouse record);

    List<BasicKeeperHouse> selectByExample(BasicKeeperHouseExample example);

    BasicKeeperHouse selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BasicKeeperHouse record, @Param("example") BasicKeeperHouseExample example);

    int updateByExample(@Param("record") BasicKeeperHouse record, @Param("example") BasicKeeperHouseExample example);

    int updateByPrimaryKeySelective(BasicKeeperHouse record);

    int updateByPrimaryKey(BasicKeeperHouse record);

    void deleteByKeeperIdAndHouseId(@Param("keeperId")Integer keeperId,@Param("houseId")Integer houseId);

    BasicKeeperHouse getHouseKeeperBykeeperIdAndHouseId(@Param("keeperId")Integer keeperId,@Param("houseId")Integer houseId);
}