package com.chinaitop.depot.basic.mapper;

import com.chinaitop.depot.basic.model.BasicStorehouse;
import com.chinaitop.depot.basic.model.BasicStorehouseExample;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface BasicStorehouseMapper {
    int countByExample(BasicStorehouseExample example);

    int deleteByExample(BasicStorehouseExample example);

    int deleteByPrimaryKey(Integer storehouseId);

    int insert(BasicStorehouse record);

    int insertSelective(BasicStorehouse record);

    List<BasicStorehouse> selectByExample(BasicStorehouseExample example);

    BasicStorehouse selectByPrimaryKey(Integer storehouseId);

    int updateByExampleSelective(@Param("record") BasicStorehouse record, @Param("example") BasicStorehouseExample example);

    int updateByExample(@Param("record") BasicStorehouse record, @Param("example") BasicStorehouseExample example);

    int updateByPrimaryKeySelective(BasicStorehouse record);

    int updateByPrimaryKey(BasicStorehouse record);

    List<BasicStorehouse> selectByExampleNew(Map<String, Object> map);
	
	List<BasicStorehouse> getThreeTempCheckList(Map<String, Object> map);

    Map<String, Object> getAgentDepotId(Map<String, Object> map);

	BasicStorehouse getStoreDataByHouseId(int houseId);

	/**
     * 更新单位表仓房数、油罐数、有效仓容、有效罐容
     * 
     * @param map
     */
    void editOrgCfAndHwNum(Map<String, Object> map);

    /**
     * 查询当前仓房和油罐的有效容量之和
     * 
     * @param orgId 单位ID
     * @return
     */
    Map<String, Object> queryCrAndgw(Integer orgId);
}