package com.chinaitop.depot.basic.model;

import java.util.Date;

public class BasicCodeRule {
    private Integer id;

    private String codeName;

    private Integer codeType;

    private String codeDetailType;

    private Integer serialNumberLength;

    private String spacer;

    private Integer creater;

    private Date createTime;

    private Date updateTime;

    private Integer orgId;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 编码名称
     * @return code_name 编码名称
     */
    public String getCodeName() {
        return codeName;
    }

    /**
     * 编码名称
     * @param codeName 编码名称
     */
    public void setCodeName(String codeName) {
        this.codeName = codeName == null ? null : codeName.trim();
    }

    /**
     * 编码类型
     * @return code_type 编码类型
     */
    public Integer getCodeType() {
        return codeType;
    }

    /**
     * 编码类型
     * @param codeType 编码类型
     */
    public void setCodeType(Integer codeType) {
        this.codeType = codeType;
    }

    /**
     * 编码明细类型
     * @return code_detail_type 编码明细类型
     */
    public String getCodeDetailType() {
        return codeDetailType;
    }

    /**
     * 编码明细类型
     * @param codeDetailType 编码明细类型
     */
    public void setCodeDetailType(String codeDetailType) {
        this.codeDetailType = codeDetailType == null ? null : codeDetailType.trim();
    }

    /**
     * 流水长度
     * @return serial_number_length 流水长度
     */
    public Integer getSerialNumberLength() {
        return serialNumberLength;
    }

    /**
     * 流水长度
     * @param serialNumberLength 流水长度
     */
    public void setSerialNumberLength(Integer serialNumberLength) {
        this.serialNumberLength = serialNumberLength;
    }

    /**
     * 间隔符
     * @return spacer 间隔符
     */
    public String getSpacer() {
        return spacer;
    }

    /**
     * 间隔符
     * @param spacer 间隔符
     */
    public void setSpacer(String spacer) {
        this.spacer = spacer == null ? null : spacer.trim();
    }

    /**
     * 创建人
     * @return creater 创建人
     */
    public Integer getCreater() {
        return creater;
    }

    /**
     * 创建人
     * @param creater 创建人
     */
    public void setCreater(Integer creater) {
        this.creater = creater;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     * @return update_time 修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 
     * @return org_id 
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
}