package com.chinaitop.depot.basic.model;

import java.util.Date;

public class BasicProcessContrail {
    private Integer id;

    private Integer orgId;

    private Integer processId;

    private Integer processType;

    private Integer currentNodeId;

    private String handlePerson;

    private Date handleTime;

    private String handleOpinion;

    private Integer nextNodeId;

    private Integer handleRoleId;

    private Date inputTime;

    /**
     * 主键ID
     * @return id 主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键ID
     * @param id 主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 单位ID
     * @return org_id 单位ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 单位ID
     * @param orgId 单位ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 流程编号
     * @return process_id 流程编号
     */
    public Integer getProcessId() {
        return processId;
    }

    /**
     * 流程编号
     * @param processId 流程编号
     */
    public void setProcessId(Integer processId) {
        this.processId = processId;
    }

    /**
     * 流程类型(1计划,2合同,3通知单,4药剂采购,5药剂领用,6通风7熏蒸)
     * @return process_type 流程类型(1计划,2合同,3通知单,4药剂采购,5药剂领用,6通风7熏蒸)
     */
    public Integer getProcessType() {
        return processType;
    }

    /**
     * 流程类型(1计划,2合同,3通知单,4药剂采购,5药剂领用,6通风7熏蒸)
     * @param processType 流程类型(1计划,2合同,3通知单,4药剂采购,5药剂领用,6通风7熏蒸)
     */
    public void setProcessType(Integer processType) {
        this.processType = processType;
    }

    /**
     * 当前环节编号
     * @return current_node_id 当前环节编号
     */
    public Integer getCurrentNodeId() {
        return currentNodeId;
    }

    /**
     * 当前环节编号
     * @param currentNodeId 当前环节编号
     */
    public void setCurrentNodeId(Integer currentNodeId) {
        this.currentNodeId = currentNodeId;
    }

    /**
     * 处理人
     * @return handle_person 处理人
     */
    public String getHandlePerson() {
        return handlePerson;
    }

    /**
     * 处理人
     * @param handlePerson 处理人
     */
    public void setHandlePerson(String handlePerson) {
        this.handlePerson = handlePerson == null ? null : handlePerson.trim();
    }

    /**
     * 当前环节处理时间
     * @return handle_time 当前环节处理时间
     */
    public Date getHandleTime() {
        return handleTime;
    }

    /**
     * 当前环节处理时间
     * @param handleTime 当前环节处理时间
     */
    public void setHandleTime(Date handleTime) {
        this.handleTime = handleTime;
    }

    /**
     * 当前环节处理意见
     * @return handle_opinion 当前环节处理意见
     */
    public String getHandleOpinion() {
        return handleOpinion;
    }

    /**
     * 当前环节处理意见
     * @param handleOpinion 当前环节处理意见
     */
    public void setHandleOpinion(String handleOpinion) {
        this.handleOpinion = handleOpinion == null ? null : handleOpinion.trim();
    }

    /**
     * 下一环节编号号
     * @return next_node_id 下一环节编号号
     */
    public Integer getNextNodeId() {
        return nextNodeId;
    }

    /**
     * 下一环节编号号
     * @param nextNodeId 下一环节编号号
     */
    public void setNextNodeId(Integer nextNodeId) {
        this.nextNodeId = nextNodeId;
    }

    /**
     * 下一环节处理角色编号
     * @return handle_role_id 下一环节处理角色编号
     */
    public Integer getHandleRoleId() {
        return handleRoleId;
    }

    /**
     * 下一环节处理角色编号
     * @param handleRoleId 下一环节处理角色编号
     */
    public void setHandleRoleId(Integer handleRoleId) {
        this.handleRoleId = handleRoleId;
    }

    /**
     * 创建时间
     * @return input_time 创建时间
     */
    public Date getInputTime() {
        return inputTime;
    }

    /**
     * 创建时间
     * @param inputTime 创建时间
     */
    public void setInputTime(Date inputTime) {
        this.inputTime = inputTime;
    }
}