package com.chinaitop.depot.basic.model;

import java.math.BigDecimal;
import java.util.Date;

public class BasicStorehouse {
    private Integer storehouseId;

    private String uuid;

    private Integer depotId;

    private String depotName;

    private Integer orgId;

    private String orgName;

    private String storehouseCode;

    private String storehouseName;

    private Integer storehouseType;

    private Integer storehouseTypeMx;

    private String architectureType;

    private String storeImg;

    private String ground;

    private Integer wall;

    private String roof;

    private String house;

    private BigDecimal designCapacity;

    private Integer keepingWay;

    private BigDecimal grainHeigth;

    private BigDecimal storeOutsideLength;

    private BigDecimal storeOutsideWidth;

    private BigDecimal storeOutsideHeigth;

    private BigDecimal storeOutsideTopHeigth;

    private BigDecimal outsideSiloDiameter;

    private BigDecimal outerWallArea;

    private BigDecimal deductVolume;

    private BigDecimal length;

    private BigDecimal width;

    private BigDecimal heigth;

    private BigDecimal grainLineHeigth;

    private BigDecimal siloDiameter;

    private BigDecimal binVolume;

    private BigDecimal grainPileVolume;

    private Integer houseDoorNum;

    private String houseDootPosition;

    private BigDecimal houseDoorWidth;

    private BigDecimal houseDoorHeigth;

    private Integer drafttype;

    private String heatinsulationstepRoof;

    private String heatinsulationstepWindow;

    private BigDecimal actualCapacity;

    private Date completionDate;

    private Date usedate;

    private Integer storehouseState;

    private Integer storeWay;

    private Integer currenttype;

    private String dutystoreman;

    private String remark;

    private String createname;

    private Date createdate;

    private String updatename;

    private Date updatedate;

    private Integer workingStatus;

    private Integer delFlag;

    private String libraryType;

    private String grbwcs;

    private Integer ywlqjcss;

    private Integer ywfhfbfdss;

    private Integer ywfsfqfczz;

    private Integer nfszcc;

    private Integer nffddyqtcl;

    private Integer nfhlxzsc;

    private Integer nfcwcc;

    private Integer ywjxtfss;

    private String datatype;

    private String agentDepotName;

    private String cfbm;

    private String ajbm;

    /**
     * 储粮功效
     */
    private Integer clgx;

    /**
     * 结构材料
     */
    private Integer jgcl;

    /**
     * 隔热性能
     */
    private Integer grxn;

    /**
     * 气密性
     */
    private Integer qmx;

    /**
     * 粮情技术
     */
    private Integer lqjs;

    /**
     * 通风技术
     */
    private Integer tfjs;

    /**
     * 杀虫技术
     */
    private Integer scjs;

    /**
     * 控温技术
     */
    private Integer kwjs;

    /**
     * 是否已进行信息化改造
     */
    private Integer sfyjxxxhgz;

    /**
     * 挡粮门型式
     */
    private String dlmxs;

    /**
     * 建设单位
     */
    private String jsdw;

    /**
     * 设计使用年限
     */
    private String sjsynx;

    /**
     * 设计单位
     */
    private String sjdw;

    /**
     * 监理单位
     */
    private String jldw;

    /**
     * 能否隔热保温
     */
    private Integer nfgrbw;

    /**
     * 通风系统型式
     */
    private Integer tfxtxs;

    /**
     * 害虫检测方式
     */
    private String hcjcfs;

    /**
     * null
     * @return storehouse_id null
     */
    public Integer getStorehouseId() {
        return storehouseId;
    }

    /**
     * null
     * @param storehouseId null
     */
    public void setStorehouseId(Integer storehouseId) {
        this.storehouseId = storehouseId;
    }

    /**
     * null
     * @return uuid null
     */
    public String getUuid() {
        return uuid;
    }

    /**
     * null
     * @param uuid null
     */
    public void setUuid(String uuid) {
        this.uuid = uuid == null ? null : uuid.trim();
    }

    /**
     * null
     * @return depot_id null
     */
    public Integer getDepotId() {
        return depotId;
    }

    /**
     * null
     * @param depotId null
     */
    public void setDepotId(Integer depotId) {
        this.depotId = depotId;
    }

    /**
     * null
     * @return depot_name null
     */
    public String getDepotName() {
        return depotName;
    }

    /**
     * null
     * @param depotName null
     */
    public void setDepotName(String depotName) {
        this.depotName = depotName == null ? null : depotName.trim();
    }

    /**
     * null
     * @return org_id null
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * null
     * @param orgId null
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * null
     * @return org_name null
     */
    public String getOrgName() {
        return orgName;
    }

    /**
     * null
     * @param orgName null
     */
    public void setOrgName(String orgName) {
        this.orgName = orgName == null ? null : orgName.trim();
    }

    /**
     * null
     * @return storehouse_code null
     */
    public String getStorehouseCode() {
        return storehouseCode;
    }

    /**
     * null
     * @param storehouseCode null
     */
    public void setStorehouseCode(String storehouseCode) {
        this.storehouseCode = storehouseCode == null ? null : storehouseCode.trim();
    }

    /**
     * null
     * @return storehouse_name null
     */
    public String getStorehouseName() {
        return storehouseName;
    }

    /**
     * null
     * @param storehouseName null
     */
    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName == null ? null : storehouseName.trim();
    }

    /**
     * null
     * @return storehouse_type null
     */
    public Integer getStorehouseType() {
        return storehouseType;
    }

    /**
     * null
     * @param storehouseType null
     */
    public void setStorehouseType(Integer storehouseType) {
        this.storehouseType = storehouseType;
    }

    /**
     * null
     * @return storehouse_type_mx null
     */
    public Integer getStorehouseTypeMx() {
        return storehouseTypeMx;
    }

    /**
     * null
     * @param storehouseTypeMx null
     */
    public void setStorehouseTypeMx(Integer storehouseTypeMx) {
        this.storehouseTypeMx = storehouseTypeMx;
    }

    /**
     * null
     * @return architecture_type null
     */
    public String getArchitectureType() {
        return architectureType;
    }

    /**
     * null
     * @param architectureType null
     */
    public void setArchitectureType(String architectureType) {
        this.architectureType = architectureType == null ? null : architectureType.trim();
    }

    /**
     * null
     * @return store_img null
     */
    public String getStoreImg() {
        return storeImg;
    }

    /**
     * null
     * @param storeImg null
     */
    public void setStoreImg(String storeImg) {
        this.storeImg = storeImg == null ? null : storeImg.trim();
    }

    /**
     * null
     * @return ground null
     */
    public String getGround() {
        return ground;
    }

    /**
     * null
     * @param ground null
     */
    public void setGround(String ground) {
        this.ground = ground == null ? null : ground.trim();
    }

    /**
     * null
     * @return wall null
     */
    public Integer getWall() {
        return wall;
    }

    /**
     * null
     * @param wall null
     */
    public void setWall(Integer wall) {
        this.wall = wall;
    }

    /**
     * null
     * @return roof null
     */
    public String getRoof() {
        return roof;
    }

    /**
     * null
     * @param roof null
     */
    public void setRoof(String roof) {
        this.roof = roof == null ? null : roof.trim();
    }

    /**
     * null
     * @return house null
     */
    public String getHouse() {
        return house;
    }

    /**
     * null
     * @param house null
     */
    public void setHouse(String house) {
        this.house = house == null ? null : house.trim();
    }

    /**
     * null
     * @return design_capacity null
     */
    public BigDecimal getDesignCapacity() {
        return designCapacity;
    }

    /**
     * null
     * @param designCapacity null
     */
    public void setDesignCapacity(BigDecimal designCapacity) {
        this.designCapacity = designCapacity;
    }

    /**
     * null
     * @return keeping_way null
     */
    public Integer getKeepingWay() {
        return keepingWay;
    }

    /**
     * null
     * @param keepingWay null
     */
    public void setKeepingWay(Integer keepingWay) {
        this.keepingWay = keepingWay;
    }

    /**
     * null
     * @return grain_heigth null
     */
    public BigDecimal getGrainHeigth() {
        return grainHeigth;
    }

    /**
     * null
     * @param grainHeigth null
     */
    public void setGrainHeigth(BigDecimal grainHeigth) {
        this.grainHeigth = grainHeigth;
    }

    /**
     * null
     * @return store_outside_length null
     */
    public BigDecimal getStoreOutsideLength() {
        return storeOutsideLength;
    }

    /**
     * null
     * @param storeOutsideLength null
     */
    public void setStoreOutsideLength(BigDecimal storeOutsideLength) {
        this.storeOutsideLength = storeOutsideLength;
    }

    /**
     * null
     * @return store_outside_width null
     */
    public BigDecimal getStoreOutsideWidth() {
        return storeOutsideWidth;
    }

    /**
     * null
     * @param storeOutsideWidth null
     */
    public void setStoreOutsideWidth(BigDecimal storeOutsideWidth) {
        this.storeOutsideWidth = storeOutsideWidth;
    }

    /**
     * null
     * @return store_outside_heigth null
     */
    public BigDecimal getStoreOutsideHeigth() {
        return storeOutsideHeigth;
    }

    /**
     * null
     * @param storeOutsideHeigth null
     */
    public void setStoreOutsideHeigth(BigDecimal storeOutsideHeigth) {
        this.storeOutsideHeigth = storeOutsideHeigth;
    }

    /**
     * null
     * @return store_outside_top_heigth null
     */
    public BigDecimal getStoreOutsideTopHeigth() {
        return storeOutsideTopHeigth;
    }

    /**
     * null
     * @param storeOutsideTopHeigth null
     */
    public void setStoreOutsideTopHeigth(BigDecimal storeOutsideTopHeigth) {
        this.storeOutsideTopHeigth = storeOutsideTopHeigth;
    }

    /**
     * null
     * @return outside_silo_diameter null
     */
    public BigDecimal getOutsideSiloDiameter() {
        return outsideSiloDiameter;
    }

    /**
     * null
     * @param outsideSiloDiameter null
     */
    public void setOutsideSiloDiameter(BigDecimal outsideSiloDiameter) {
        this.outsideSiloDiameter = outsideSiloDiameter;
    }

    /**
     * null
     * @return outer_wall_area null
     */
    public BigDecimal getOuterWallArea() {
        return outerWallArea;
    }

    /**
     * null
     * @param outerWallArea null
     */
    public void setOuterWallArea(BigDecimal outerWallArea) {
        this.outerWallArea = outerWallArea;
    }

    /**
     * null
     * @return deduct_volume null
     */
    public BigDecimal getDeductVolume() {
        return deductVolume;
    }

    /**
     * null
     * @param deductVolume null
     */
    public void setDeductVolume(BigDecimal deductVolume) {
        this.deductVolume = deductVolume;
    }

    /**
     * null
     * @return length null
     */
    public BigDecimal getLength() {
        return length;
    }

    /**
     * null
     * @param length null
     */
    public void setLength(BigDecimal length) {
        this.length = length;
    }

    /**
     * null
     * @return width null
     */
    public BigDecimal getWidth() {
        return width;
    }

    /**
     * null
     * @param width null
     */
    public void setWidth(BigDecimal width) {
        this.width = width;
    }

    /**
     * null
     * @return heigth null
     */
    public BigDecimal getHeigth() {
        return heigth;
    }

    /**
     * null
     * @param heigth null
     */
    public void setHeigth(BigDecimal heigth) {
        this.heigth = heigth;
    }

    /**
     * null
     * @return grain_line_heigth null
     */
    public BigDecimal getGrainLineHeigth() {
        return grainLineHeigth;
    }

    /**
     * null
     * @param grainLineHeigth null
     */
    public void setGrainLineHeigth(BigDecimal grainLineHeigth) {
        this.grainLineHeigth = grainLineHeigth;
    }

    /**
     * null
     * @return silo_diameter null
     */
    public BigDecimal getSiloDiameter() {
        return siloDiameter;
    }

    /**
     * null
     * @param siloDiameter null
     */
    public void setSiloDiameter(BigDecimal siloDiameter) {
        this.siloDiameter = siloDiameter;
    }

    /**
     * null
     * @return bin_volume null
     */
    public BigDecimal getBinVolume() {
        return binVolume;
    }

    /**
     * null
     * @param binVolume null
     */
    public void setBinVolume(BigDecimal binVolume) {
        this.binVolume = binVolume;
    }

    /**
     * null
     * @return grain_pile_volume null
     */
    public BigDecimal getGrainPileVolume() {
        return grainPileVolume;
    }

    /**
     * null
     * @param grainPileVolume null
     */
    public void setGrainPileVolume(BigDecimal grainPileVolume) {
        this.grainPileVolume = grainPileVolume;
    }

    /**
     * null
     * @return house_door_num null
     */
    public Integer getHouseDoorNum() {
        return houseDoorNum;
    }

    /**
     * null
     * @param houseDoorNum null
     */
    public void setHouseDoorNum(Integer houseDoorNum) {
        this.houseDoorNum = houseDoorNum;
    }

    /**
     * null
     * @return house_doot_position null
     */
    public String getHouseDootPosition() {
        return houseDootPosition;
    }

    /**
     * null
     * @param houseDootPosition null
     */
    public void setHouseDootPosition(String houseDootPosition) {
        this.houseDootPosition = houseDootPosition == null ? null : houseDootPosition.trim();
    }

    /**
     * null
     * @return house_door_width null
     */
    public BigDecimal getHouseDoorWidth() {
        return houseDoorWidth;
    }

    /**
     * null
     * @param houseDoorWidth null
     */
    public void setHouseDoorWidth(BigDecimal houseDoorWidth) {
        this.houseDoorWidth = houseDoorWidth;
    }

    /**
     * null
     * @return house_door_heigth null
     */
    public BigDecimal getHouseDoorHeigth() {
        return houseDoorHeigth;
    }

    /**
     * null
     * @param houseDoorHeigth null
     */
    public void setHouseDoorHeigth(BigDecimal houseDoorHeigth) {
        this.houseDoorHeigth = houseDoorHeigth;
    }

    /**
     * null
     * @return drafttype null
     */
    public Integer getDrafttype() {
        return drafttype;
    }

    /**
     * null
     * @param drafttype null
     */
    public void setDrafttype(Integer drafttype) {
        this.drafttype = drafttype;
    }

    /**
     * null
     * @return heatinsulationstep_roof null
     */
    public String getHeatinsulationstepRoof() {
        return heatinsulationstepRoof;
    }

    /**
     * null
     * @param heatinsulationstepRoof null
     */
    public void setHeatinsulationstepRoof(String heatinsulationstepRoof) {
        this.heatinsulationstepRoof = heatinsulationstepRoof == null ? null : heatinsulationstepRoof.trim();
    }

    /**
     * null
     * @return heatinsulationstep_window null
     */
    public String getHeatinsulationstepWindow() {
        return heatinsulationstepWindow;
    }

    /**
     * null
     * @param heatinsulationstepWindow null
     */
    public void setHeatinsulationstepWindow(String heatinsulationstepWindow) {
        this.heatinsulationstepWindow = heatinsulationstepWindow == null ? null : heatinsulationstepWindow.trim();
    }

    /**
     * null
     * @return actual_capacity null
     */
    public BigDecimal getActualCapacity() {
        return actualCapacity;
    }

    /**
     * null
     * @param actualCapacity null
     */
    public void setActualCapacity(BigDecimal actualCapacity) {
        this.actualCapacity = actualCapacity;
    }

    /**
     * null
     * @return completion_date null
     */
    public Date getCompletionDate() {
        return completionDate;
    }

    /**
     * null
     * @param completionDate null
     */
    public void setCompletionDate(Date completionDate) {
        this.completionDate = completionDate;
    }

    /**
     * null
     * @return usedate null
     */
    public Date getUsedate() {
        return usedate;
    }

    /**
     * null
     * @param usedate null
     */
    public void setUsedate(Date usedate) {
        this.usedate = usedate;
    }

    /**
     * null
     * @return storehouse_state null
     */
    public Integer getStorehouseState() {
        return storehouseState;
    }

    /**
     * null
     * @param storehouseState null
     */
    public void setStorehouseState(Integer storehouseState) {
        this.storehouseState = storehouseState;
    }

    /**
     * null
     * @return store_way null
     */
    public Integer getStoreWay() {
        return storeWay;
    }

    /**
     * null
     * @param storeWay null
     */
    public void setStoreWay(Integer storeWay) {
        this.storeWay = storeWay;
    }

    /**
     * null
     * @return currenttype null
     */
    public Integer getCurrenttype() {
        return currenttype;
    }

    /**
     * null
     * @param currenttype null
     */
    public void setCurrenttype(Integer currenttype) {
        this.currenttype = currenttype;
    }

    /**
     * null
     * @return dutystoreman null
     */
    public String getDutystoreman() {
        return dutystoreman;
    }

    /**
     * null
     * @param dutystoreman null
     */
    public void setDutystoreman(String dutystoreman) {
        this.dutystoreman = dutystoreman == null ? null : dutystoreman.trim();
    }

    /**
     * null
     * @return remark null
     */
    public String getRemark() {
        return remark;
    }

    /**
     * null
     * @param remark null
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * null
     * @return createname null
     */
    public String getCreatename() {
        return createname;
    }

    /**
     * null
     * @param createname null
     */
    public void setCreatename(String createname) {
        this.createname = createname == null ? null : createname.trim();
    }

    /**
     * null
     * @return createdate null
     */
    public Date getCreatedate() {
        return createdate;
    }

    /**
     * null
     * @param createdate null
     */
    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    /**
     * null
     * @return updatename null
     */
    public String getUpdatename() {
        return updatename;
    }

    /**
     * null
     * @param updatename null
     */
    public void setUpdatename(String updatename) {
        this.updatename = updatename == null ? null : updatename.trim();
    }

    /**
     * null
     * @return updatedate null
     */
    public Date getUpdatedate() {
        return updatedate;
    }

    /**
     * null
     * @param updatedate null
     */
    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    /**
     * null
     * @return working_status null
     */
    public Integer getWorkingStatus() {
        return workingStatus;
    }

    /**
     * null
     * @param workingStatus null
     */
    public void setWorkingStatus(Integer workingStatus) {
        this.workingStatus = workingStatus;
    }

    /**
     * null
     * @return del_flag null
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * null
     * @param delFlag null
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    /**
     * null
     * @return library_type null
     */
    public String getLibraryType() {
        return libraryType;
    }

    /**
     * null
     * @param libraryType null
     */
    public void setLibraryType(String libraryType) {
        this.libraryType = libraryType == null ? null : libraryType.trim();
    }

    /**
     * null
     * @return grbwcs null
     */
    public String getGrbwcs() {
        return grbwcs;
    }

    /**
     * null
     * @param grbwcs null
     */
    public void setGrbwcs(String grbwcs) {
        this.grbwcs = grbwcs == null ? null : grbwcs.trim();
    }

    /**
     * null
     * @return ywlqjcss null
     */
    public Integer getYwlqjcss() {
        return ywlqjcss;
    }

    /**
     * null
     * @param ywlqjcss null
     */
    public void setYwlqjcss(Integer ywlqjcss) {
        this.ywlqjcss = ywlqjcss;
    }

    /**
     * null
     * @return ywfhfbfdss null
     */
    public Integer getYwfhfbfdss() {
        return ywfhfbfdss;
    }

    /**
     * null
     * @param ywfhfbfdss null
     */
    public void setYwfhfbfdss(Integer ywfhfbfdss) {
        this.ywfhfbfdss = ywfhfbfdss;
    }

    /**
     * null
     * @return ywfsfqfczz null
     */
    public Integer getYwfsfqfczz() {
        return ywfsfqfczz;
    }

    /**
     * null
     * @param ywfsfqfczz null
     */
    public void setYwfsfqfczz(Integer ywfsfqfczz) {
        this.ywfsfqfczz = ywfsfqfczz;
    }

    /**
     * null
     * @return nfszcc null
     */
    public Integer getNfszcc() {
        return nfszcc;
    }

    /**
     * null
     * @param nfszcc null
     */
    public void setNfszcc(Integer nfszcc) {
        this.nfszcc = nfszcc;
    }

    /**
     * null
     * @return nffddyqtcl null
     */
    public Integer getNffddyqtcl() {
        return nffddyqtcl;
    }

    /**
     * null
     * @param nffddyqtcl null
     */
    public void setNffddyqtcl(Integer nffddyqtcl) {
        this.nffddyqtcl = nffddyqtcl;
    }

    /**
     * null
     * @return nfhlxzsc null
     */
    public Integer getNfhlxzsc() {
        return nfhlxzsc;
    }

    /**
     * null
     * @param nfhlxzsc null
     */
    public void setNfhlxzsc(Integer nfhlxzsc) {
        this.nfhlxzsc = nfhlxzsc;
    }

    /**
     * null
     * @return nfcwcc null
     */
    public Integer getNfcwcc() {
        return nfcwcc;
    }

    /**
     * null
     * @param nfcwcc null
     */
    public void setNfcwcc(Integer nfcwcc) {
        this.nfcwcc = nfcwcc;
    }

    /**
     * null
     * @return ywjxtfss null
     */
    public Integer getYwjxtfss() {
        return ywjxtfss;
    }

    /**
     * null
     * @param ywjxtfss null
     */
    public void setYwjxtfss(Integer ywjxtfss) {
        this.ywjxtfss = ywjxtfss;
    }

    /**
     * null
     * @return datatype null
     */
    public String getDatatype() {
        return datatype;
    }

    /**
     * null
     * @param datatype null
     */
    public void setDatatype(String datatype) {
        this.datatype = datatype == null ? null : datatype.trim();
    }

	public String getAgentDepotName() {
		return agentDepotName;
	}

	public void setAgentDepotName(String agentDepotName) {
		this.agentDepotName = agentDepotName;
	}

	public String getCfbm() {
		return cfbm;
	}

	public void setCfbm(String cfbm) {
		this.cfbm = cfbm;
	}

	public String getAjbm() {
		return ajbm;
	}

	public void setAjbm(String ajbm) {
		this.ajbm = ajbm;
	}

    public Integer getClgx() {
        return clgx;
    }

    public void setClgx(Integer clgx) {
        this.clgx = clgx;
    }

    public Integer getJgcl() {
        return jgcl;
    }

    public void setJgcl(Integer jgcl) {
        this.jgcl = jgcl;
    }

    public Integer getGrxn() {
        return grxn;
    }

    public void setGrxn(Integer grxn) {
        this.grxn = grxn;
    }

    public Integer getQmx() {
        return qmx;
    }

    public void setQmx(Integer qmx) {
        this.qmx = qmx;
    }

    public Integer getLqjs() {
        return lqjs;
    }

    public void setLqjs(Integer lqjs) {
        this.lqjs = lqjs;
    }

    public Integer getTfjs() {
        return tfjs;
    }

    public void setTfjs(Integer tfjs) {
        this.tfjs = tfjs;
    }

    public Integer getScjs() {
        return scjs;
    }

    public void setScjs(Integer scjs) {
        this.scjs = scjs;
    }

    public Integer getKwjs() {
        return kwjs;
    }

    public void setKwjs(Integer kwjs) {
        this.kwjs = kwjs;
    }

    public Integer getSfyjxxxhgz() {
        return sfyjxxxhgz;
    }

    public void setSfyjxxxhgz(Integer sfyjxxxhgz) {
        this.sfyjxxxhgz = sfyjxxxhgz;
    }

    public String getDlmxs() {
        return dlmxs;
    }

    public void setDlmxs(String dlmxs) {
        this.dlmxs = dlmxs;
    }

    public String getJsdw() {
        return jsdw;
    }

    public void setJsdw(String jsdw) {
        this.jsdw = jsdw;
    }

    public String getSjsynx() {
        return sjsynx;
    }

    public void setSjsynx(String sjsynx) {
        this.sjsynx = sjsynx;
    }

    public String getSjdw() {
        return sjdw;
    }

    public void setSjdw(String sjdw) {
        this.sjdw = sjdw;
    }

    public String getJldw() {
        return jldw;
    }

    public void setJldw(String jldw) {
        this.jldw = jldw;
    }

    public Integer getNfgrbw() {
        return nfgrbw;
    }

    public void setNfgrbw(Integer nfgrbw) {
        this.nfgrbw = nfgrbw;
    }

    public Integer getTfxtxs() {
        return tfxtxs;
    }

    public void setTfxtxs(Integer tfxtxs) {
        this.tfxtxs = tfxtxs;
    }

    /**
     * 害虫检测方式
     * @return
     */
	public String getHcjcfs() {
		return hcjcfs;
	}

	/**
	 * 害虫检测方式
	 */
	public void setHcjcfs(String hcjcfs) {
		this.hcjcfs = hcjcfs;
	}
    

}