package com.chinaitop.depot.basic.service;

import java.util.List;

import com.chinaitop.depot.basic.model.BasicKeeperEducation;
import com.chinaitop.depot.basic.model.BasicKeeperEducationExample;

public interface BasicKeeperEducationService {
	
	/**
	 * 添加
	 * @param keeperEducation
	 */
	void save(BasicKeeperEducation keeperEducation);
	
	/**
	 * 修改
	 * @param keeperEducation
	 */
	void update(BasicKeeperEducation keeperEducation);
	
	/**
	 * 删除
	 * @param id
	 */
	void delete(Integer id);
	
	/**
	 * 查询一条数据
	 * @param id
	 * @return
	 */
	BasicKeeperEducation findByIdParmaryKey(Integer id);
	
	/**
	 * 查询一组数据
	 * @param example
	 * @return
	 */
	List<BasicKeeperEducation> findCondition(BasicKeeperEducationExample example);
}
