/**
 * 
 */
package com.chinaitop.depot.basic.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.chinaitop.depot.basic.mapper.BasicCodeRuleDetailMapper;
import com.chinaitop.depot.basic.model.BasicCodeRuleDetail;
import com.chinaitop.depot.basic.model.BasicCodeRuleDetailExample;
import com.chinaitop.depot.basic.service.BasicCodeRuleDetailService;

/**
 * <p>Title: BasicCodeRuleDetailServiceImpl</p>
 * <p>Description: </p>
 * @author yaoyabin
 * @date 2018年1月10日 下午3:14:04
 */
@Service
public class BasicCodeRuleDetailServiceImpl implements
        BasicCodeRuleDetailService {

    @Autowired
    private BasicCodeRuleDetailMapper basicCodeRuleDetailMapper;
    
    /**
     * 删除.
     */
    @Override
    public void remove(Integer id) {
        basicCodeRuleDetailMapper.deleteByPrimaryKey(id);
    }

    @Override
	public void removeCondition(BasicCodeRuleDetailExample example) {
    	basicCodeRuleDetailMapper.deleteByExample(example);
	}

    @Override
    public void add(BasicCodeRuleDetail basicCodeRuleDetail) {
        basicCodeRuleDetailMapper.insert(basicCodeRuleDetail);
    }

    @Override
    public void update(BasicCodeRuleDetail basicCodeRuleDetail) {
        basicCodeRuleDetailMapper.updateByPrimaryKey(basicCodeRuleDetail);
    }

    @Override
    public List<BasicCodeRuleDetail> queryByExample(
            BasicCodeRuleDetailExample example) {
        return basicCodeRuleDetailMapper.selectByExample(example);
    }

}
