package com.chinaitop.depot.basic.service.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.basic.mapper.BasicKeeperEducationMapper;
import com.chinaitop.depot.basic.model.BasicKeeperEducation;
import com.chinaitop.depot.basic.model.BasicKeeperEducationExample;
import com.chinaitop.depot.basic.service.BasicKeeperEducationService;

@Service
public class BasicKeeperEducationServiceImpl implements BasicKeeperEducationService {

	@Resource
	private BasicKeeperEducationMapper mapper;

	@Override
	public void save(BasicKeeperEducation keeperEducation) {
		mapper.insertSelective(keeperEducation);
	}

	@Override
	public void update(BasicKeeperEducation keeperEducation) {
		mapper.updateByPrimaryKey(keeperEducation);
	}

	@Override
	public void delete(Integer id) {
		mapper.deleteByPrimaryKey(id);
	}

	@Override
	public BasicKeeperEducation findByIdParmaryKey(Integer id) {
		return mapper.selectByPrimaryKey(id);
	}

	@Override
	public List<BasicKeeperEducation> findCondition(BasicKeeperEducationExample example) {
		return mapper.selectByExample(example);
	}

}
