package com.chinaitop.depot.basic.service.impl;

import com.chinaitop.depot.basic.mapper.PurchaseContractAccountMapper;
import com.chinaitop.depot.basic.model.PurchaseContractAccount;
import com.chinaitop.depot.basic.model.PurchaseContractAccountExample;
import com.chinaitop.depot.basic.service.PurchaseContractAccountService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service

public class PurchaseContractAccountServiceImpl implements PurchaseContractAccountService {

    @Resource
    private PurchaseContractAccountMapper purchaseContractAccountMapper;

    @Override
    public void remove(Integer id) {
        purchaseContractAccountMapper.deleteByPrimaryKey(id);
    }

    @Override
    public void add(PurchaseContractAccount purchaseContractAccount) {
        purchaseContractAccountMapper.insert(purchaseContractAccount);
    }

    @Override
    public void update(PurchaseContractAccount purchaseContractAccount) {
        purchaseContractAccountMapper.updateByPrimaryKey(purchaseContractAccount);
    }

    @Override
    public List<PurchaseContractAccount> getList(PurchaseContractAccountExample example) {
        return purchaseContractAccountMapper.selectByExample(example);
    }
}
