package com.chinaitop.depot.feign.service;

import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "depot-system")
public interface RoleInfoFeignService {

	/**
	 * 查询一个角色信息
	 * @param roleId 角色ID
	 * @return
	 */
	@RequestMapping(value = "/roleInfo/edit", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
	Map<String, Object> selectRoleInfoFindId(@RequestParam("roleId") Integer roleId);
}
