package com.chinaitop.depot.Object;

public class HwObj {
    private String orgId;
    private String houseId;
    private String wareId;
    private String cjsj;
    private String status;
    private String scnf;
    private String ywlx;
    private String lylx;

    /**
     * 组织机构ID
     * @return
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 组织机构ID
     * @param orgId
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    /**
     * 仓房ID
     * @return
     */
    public String getHouseId() {
        return houseId;
    }

    /**
     * 仓房ID
     * @param houseId
     */
    public void setHouseId(String houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位ID
     * @return
     */
    public String getWareId() {
        return wareId;
    }

    /**
     * 货位ID
     * @param wareId
     */
    public void setWareId(String wareId) {
        this.wareId = wareId;
    }

    /**
     * 业务时间
     * @return
     */
    public String getCjsj() {
        return cjsj;
    }

    /**
     * 业务时间
     * @param cjsj
     */
    public void setCjsj(String cjsj) {
        this.cjsj = cjsj;
    }

    /**
     * 状态值,1:空仓,2:入库中,3:封仓,4:出库中,9:其它
     * @return
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态值,1:空仓,2:入库中,3:封仓,4:出库中,9:其它
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 收货年份
     * @return
     */
    public String getScnf() {
        return scnf;
    }

    /**
     * 收货年份
     * @param scnf
     */
    public void setScnf(String scnf) {
        this.scnf = scnf;
    }

    /**
     * 业务类型：2代表油罐，1代表仓房
     * @return
     */
    public String getYwlx() {
        return ywlx;
    }

    /**
     * 业务类型：2代表油罐，1代表仓房
     * @param ywlx
     */
    public void setYwlx(String ywlx) {
        this.ywlx = ywlx;
    }

    /**
     * 粮油类型(0:原粮,1:成品粮)
     * @return
     */
    public String getLylx() {
        return lylx;
    }

    /**
     * 粮油类型(0:原粮,1:成品粮)
     * @param lylx
     */
    public void setLylx(String lylx) {
        this.lylx = lylx;
    }
}
