package com.chinaitop.depot.basic.mapper;

import com.chinaitop.depot.basic.model.BasicKeeper;
import com.chinaitop.depot.basic.model.BasicKeeperExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface BasicKeeperMapper {
    int countByExample(BasicKeeperExample example);

    int deleteByExample(BasicKeeperExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BasicKeeper record);

    int insertSelective(BasicKeeper record);

    List<BasicKeeper> selectByExample(BasicKeeperExample example);

    BasicKeeper selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BasicKeeper record, @Param("example") BasicKeeperExample example);

    int updateByExample(@Param("record") BasicKeeper record, @Param("example") BasicKeeperExample example);

    int updateByPrimaryKeySelective(BasicKeeper record);

    int updateByPrimaryKey(BasicKeeper record);
    
    /*********以下方法是手动加的，如果有数据库变动，请谨慎注意**********/

    List<BasicKeeper> selectBarn(Map<String,Object> map);
    /**
     * 根据名字和仓房id
     *@param storehouseId
     * @param name
     * @return
     */
    List<BasicKeeper> getKeeperListByNameAndHouseId(@Param("name") String name,@Param("storehouseId")Integer storehouseId);

}