package com.chinaitop.depot.basic.model;

import java.util.Date;

public class BasicProcessSub {
    private Integer id;

    private Integer mainId;

    private Integer roleId;

    private String roleName;

    private Integer orgId;

    private Date inputTime;

    private Integer createId;

    private Date updateTime;

    private Integer updateId;

    /**
     * 主键ID
     * @return id 主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键ID
     * @param id 主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 流程主表ID
     * @return main_id 流程主表ID
     */
    public Integer getMainId() {
        return mainId;
    }

    /**
     * 流程主表ID
     * @param mainId 流程主表ID
     */
    public void setMainId(Integer mainId) {
        this.mainId = mainId;
    }

    /**
     * 审批角色ID
     * @return role_id 审批角色ID
     */
    public Integer getRoleId() {
        return roleId;
    }

    /**
     * 审批角色ID
     * @param roleId 审批角色ID
     */
    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    /**
     * 审批角色名称
     * @return role_name 审批角色名称
     */
    public String getRoleName() {
        return roleName;
    }

    /**
     * 审批角色名称
     * @param roleName 审批角色名称
     */
    public void setRoleName(String roleName) {
        this.roleName = roleName == null ? null : roleName.trim();
    }

    /**
     * 单位ID
     * @return org_id 单位ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 单位ID
     * @param orgId 单位ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 创建时间
     * @return input_time 创建时间
     */
    public Date getInputTime() {
        return inputTime;
    }

    /**
     * 创建时间
     * @param inputTime 创建时间
     */
    public void setInputTime(Date inputTime) {
        this.inputTime = inputTime;
    }

    /**
     * 创建人ID
     * @return create_id 创建人ID
     */
    public Integer getCreateId() {
        return createId;
    }

    /**
     * 创建人ID
     * @param createId 创建人ID
     */
    public void setCreateId(Integer createId) {
        this.createId = createId;
    }

    /**
     * 修改时间
     * @return update_time 修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 修改人ID
     * @return update_id 修改人ID
     */
    public Integer getUpdateId() {
        return updateId;
    }

    /**
     * 修改人ID
     * @param updateId 修改人ID
     */
    public void setUpdateId(Integer updateId) {
        this.updateId = updateId;
    }
}