package com.chinaitop.depot.basic.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class BasicWarehouseExample {
    /**
     * basic_warehouse
     */
    protected String orderByClause;

    /**
     * basic_warehouse
     */
    protected boolean distinct;

    /**
     * basic_warehouse
     */
    protected List<Criteria> oredCriteria;

    public BasicWarehouseExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * basic_warehouse 2020-07-28
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andWarehouseIdIsNull() {
            addCriterion("warehouse_id is null");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIsNotNull() {
            addCriterion("warehouse_id is not null");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdEqualTo(Integer value) {
            addCriterion("warehouse_id =", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotEqualTo(Integer value) {
            addCriterion("warehouse_id <>", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdGreaterThan(Integer value) {
            addCriterion("warehouse_id >", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("warehouse_id >=", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdLessThan(Integer value) {
            addCriterion("warehouse_id <", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdLessThanOrEqualTo(Integer value) {
            addCriterion("warehouse_id <=", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIn(List<Integer> values) {
            addCriterion("warehouse_id in", values, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotIn(List<Integer> values) {
            addCriterion("warehouse_id not in", values, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdBetween(Integer value1, Integer value2) {
            addCriterion("warehouse_id between", value1, value2, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotBetween(Integer value1, Integer value2) {
            addCriterion("warehouse_id not between", value1, value2, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andDepotIdIsNull() {
            addCriterion("depot_id is null");
            return (Criteria) this;
        }

        public Criteria andDepotIdIsNotNull() {
            addCriterion("depot_id is not null");
            return (Criteria) this;
        }

        public Criteria andDepotIdEqualTo(Integer value) {
            addCriterion("depot_id =", value, "depotId");
            return (Criteria) this;
        }

        public Criteria andDepotIdNotEqualTo(Integer value) {
            addCriterion("depot_id <>", value, "depotId");
            return (Criteria) this;
        }

        public Criteria andDepotIdGreaterThan(Integer value) {
            addCriterion("depot_id >", value, "depotId");
            return (Criteria) this;
        }

        public Criteria andDepotIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("depot_id >=", value, "depotId");
            return (Criteria) this;
        }

        public Criteria andDepotIdLessThan(Integer value) {
            addCriterion("depot_id <", value, "depotId");
            return (Criteria) this;
        }

        public Criteria andDepotIdLessThanOrEqualTo(Integer value) {
            addCriterion("depot_id <=", value, "depotId");
            return (Criteria) this;
        }

        public Criteria andDepotIdIn(List<Integer> values) {
            addCriterion("depot_id in", values, "depotId");
            return (Criteria) this;
        }

        public Criteria andDepotIdNotIn(List<Integer> values) {
            addCriterion("depot_id not in", values, "depotId");
            return (Criteria) this;
        }

        public Criteria andDepotIdBetween(Integer value1, Integer value2) {
            addCriterion("depot_id between", value1, value2, "depotId");
            return (Criteria) this;
        }

        public Criteria andDepotIdNotBetween(Integer value1, Integer value2) {
            addCriterion("depot_id not between", value1, value2, "depotId");
            return (Criteria) this;
        }

        public Criteria andDepotNameIsNull() {
            addCriterion("depot_name is null");
            return (Criteria) this;
        }

        public Criteria andDepotNameIsNotNull() {
            addCriterion("depot_name is not null");
            return (Criteria) this;
        }

        public Criteria andDepotNameEqualTo(String value) {
            addCriterion("depot_name =", value, "depotName");
            return (Criteria) this;
        }

        public Criteria andDepotNameNotEqualTo(String value) {
            addCriterion("depot_name <>", value, "depotName");
            return (Criteria) this;
        }

        public Criteria andDepotNameGreaterThan(String value) {
            addCriterion("depot_name >", value, "depotName");
            return (Criteria) this;
        }

        public Criteria andDepotNameGreaterThanOrEqualTo(String value) {
            addCriterion("depot_name >=", value, "depotName");
            return (Criteria) this;
        }

        public Criteria andDepotNameLessThan(String value) {
            addCriterion("depot_name <", value, "depotName");
            return (Criteria) this;
        }

        public Criteria andDepotNameLessThanOrEqualTo(String value) {
            addCriterion("depot_name <=", value, "depotName");
            return (Criteria) this;
        }

        public Criteria andDepotNameLike(String value) {
            addCriterion("depot_name like", value, "depotName");
            return (Criteria) this;
        }

        public Criteria andDepotNameNotLike(String value) {
            addCriterion("depot_name not like", value, "depotName");
            return (Criteria) this;
        }

        public Criteria andDepotNameIn(List<String> values) {
            addCriterion("depot_name in", values, "depotName");
            return (Criteria) this;
        }

        public Criteria andDepotNameNotIn(List<String> values) {
            addCriterion("depot_name not in", values, "depotName");
            return (Criteria) this;
        }

        public Criteria andDepotNameBetween(String value1, String value2) {
            addCriterion("depot_name between", value1, value2, "depotName");
            return (Criteria) this;
        }

        public Criteria andDepotNameNotBetween(String value1, String value2) {
            addCriterion("depot_name not between", value1, value2, "depotName");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdIsNull() {
            addCriterion("storehouse_id is null");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdIsNotNull() {
            addCriterion("storehouse_id is not null");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdEqualTo(Integer value) {
            addCriterion("storehouse_id =", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdNotEqualTo(Integer value) {
            addCriterion("storehouse_id <>", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdGreaterThan(Integer value) {
            addCriterion("storehouse_id >", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("storehouse_id >=", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdLessThan(Integer value) {
            addCriterion("storehouse_id <", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdLessThanOrEqualTo(Integer value) {
            addCriterion("storehouse_id <=", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdIn(List<Integer> values) {
            addCriterion("storehouse_id in", values, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdNotIn(List<Integer> values) {
            addCriterion("storehouse_id not in", values, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdBetween(Integer value1, Integer value2) {
            addCriterion("storehouse_id between", value1, value2, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdNotBetween(Integer value1, Integer value2) {
            addCriterion("storehouse_id not between", value1, value2, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseCodeIsNull() {
            addCriterion("warehouse_code is null");
            return (Criteria) this;
        }

        public Criteria andWarehouseCodeIsNotNull() {
            addCriterion("warehouse_code is not null");
            return (Criteria) this;
        }

        public Criteria andWarehouseCodeEqualTo(String value) {
            addCriterion("warehouse_code =", value, "warehouseCode");
            return (Criteria) this;
        }

        public Criteria andWarehouseCodeNotEqualTo(String value) {
            addCriterion("warehouse_code <>", value, "warehouseCode");
            return (Criteria) this;
        }

        public Criteria andWarehouseCodeGreaterThan(String value) {
            addCriterion("warehouse_code >", value, "warehouseCode");
            return (Criteria) this;
        }

        public Criteria andWarehouseCodeGreaterThanOrEqualTo(String value) {
            addCriterion("warehouse_code >=", value, "warehouseCode");
            return (Criteria) this;
        }

        public Criteria andWarehouseCodeLessThan(String value) {
            addCriterion("warehouse_code <", value, "warehouseCode");
            return (Criteria) this;
        }

        public Criteria andWarehouseCodeLessThanOrEqualTo(String value) {
            addCriterion("warehouse_code <=", value, "warehouseCode");
            return (Criteria) this;
        }

        public Criteria andWarehouseCodeLike(String value) {
            addCriterion("warehouse_code like", value, "warehouseCode");
            return (Criteria) this;
        }

        public Criteria andWarehouseCodeNotLike(String value) {
            addCriterion("warehouse_code not like", value, "warehouseCode");
            return (Criteria) this;
        }

        public Criteria andWarehouseCodeIn(List<String> values) {
            addCriterion("warehouse_code in", values, "warehouseCode");
            return (Criteria) this;
        }

        public Criteria andWarehouseCodeNotIn(List<String> values) {
            addCriterion("warehouse_code not in", values, "warehouseCode");
            return (Criteria) this;
        }

        public Criteria andWarehouseCodeBetween(String value1, String value2) {
            addCriterion("warehouse_code between", value1, value2, "warehouseCode");
            return (Criteria) this;
        }

        public Criteria andWarehouseCodeNotBetween(String value1, String value2) {
            addCriterion("warehouse_code not between", value1, value2, "warehouseCode");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameIsNull() {
            addCriterion("warehouse_name is null");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameIsNotNull() {
            addCriterion("warehouse_name is not null");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameEqualTo(String value) {
            addCriterion("warehouse_name =", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameNotEqualTo(String value) {
            addCriterion("warehouse_name <>", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameGreaterThan(String value) {
            addCriterion("warehouse_name >", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameGreaterThanOrEqualTo(String value) {
            addCriterion("warehouse_name >=", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameLessThan(String value) {
            addCriterion("warehouse_name <", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameLessThanOrEqualTo(String value) {
            addCriterion("warehouse_name <=", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameLike(String value) {
            addCriterion("warehouse_name like", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameNotLike(String value) {
            addCriterion("warehouse_name not like", value, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameIn(List<String> values) {
            addCriterion("warehouse_name in", values, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameNotIn(List<String> values) {
            addCriterion("warehouse_name not in", values, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameBetween(String value1, String value2) {
            addCriterion("warehouse_name between", value1, value2, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseNameNotBetween(String value1, String value2) {
            addCriterion("warehouse_name not between", value1, value2, "warehouseName");
            return (Criteria) this;
        }

        public Criteria andWarehouseUseTimeIsNull() {
            addCriterion("warehouse_use_time is null");
            return (Criteria) this;
        }

        public Criteria andWarehouseUseTimeIsNotNull() {
            addCriterion("warehouse_use_time is not null");
            return (Criteria) this;
        }

        public Criteria andWarehouseUseTimeEqualTo(Date value) {
            addCriterion("warehouse_use_time =", value, "warehouseUseTime");
            return (Criteria) this;
        }

        public Criteria andWarehouseUseTimeNotEqualTo(Date value) {
            addCriterion("warehouse_use_time <>", value, "warehouseUseTime");
            return (Criteria) this;
        }

        public Criteria andWarehouseUseTimeGreaterThan(Date value) {
            addCriterion("warehouse_use_time >", value, "warehouseUseTime");
            return (Criteria) this;
        }

        public Criteria andWarehouseUseTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("warehouse_use_time >=", value, "warehouseUseTime");
            return (Criteria) this;
        }

        public Criteria andWarehouseUseTimeLessThan(Date value) {
            addCriterion("warehouse_use_time <", value, "warehouseUseTime");
            return (Criteria) this;
        }

        public Criteria andWarehouseUseTimeLessThanOrEqualTo(Date value) {
            addCriterion("warehouse_use_time <=", value, "warehouseUseTime");
            return (Criteria) this;
        }

        public Criteria andWarehouseUseTimeIn(List<Date> values) {
            addCriterion("warehouse_use_time in", values, "warehouseUseTime");
            return (Criteria) this;
        }

        public Criteria andWarehouseUseTimeNotIn(List<Date> values) {
            addCriterion("warehouse_use_time not in", values, "warehouseUseTime");
            return (Criteria) this;
        }

        public Criteria andWarehouseUseTimeBetween(Date value1, Date value2) {
            addCriterion("warehouse_use_time between", value1, value2, "warehouseUseTime");
            return (Criteria) this;
        }

        public Criteria andWarehouseUseTimeNotBetween(Date value1, Date value2) {
            addCriterion("warehouse_use_time not between", value1, value2, "warehouseUseTime");
            return (Criteria) this;
        }

        public Criteria andWarehouseStatusIsNull() {
            addCriterion("warehouse_status is null");
            return (Criteria) this;
        }

        public Criteria andWarehouseStatusIsNotNull() {
            addCriterion("warehouse_status is not null");
            return (Criteria) this;
        }

        public Criteria andWarehouseStatusEqualTo(Integer value) {
            addCriterion("warehouse_status =", value, "warehouseStatus");
            return (Criteria) this;
        }

        public Criteria andWarehouseStatusNotEqualTo(Integer value) {
            addCriterion("warehouse_status <>", value, "warehouseStatus");
            return (Criteria) this;
        }

        public Criteria andWarehouseStatusGreaterThan(Integer value) {
            addCriterion("warehouse_status >", value, "warehouseStatus");
            return (Criteria) this;
        }

        public Criteria andWarehouseStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("warehouse_status >=", value, "warehouseStatus");
            return (Criteria) this;
        }

        public Criteria andWarehouseStatusLessThan(Integer value) {
            addCriterion("warehouse_status <", value, "warehouseStatus");
            return (Criteria) this;
        }

        public Criteria andWarehouseStatusLessThanOrEqualTo(Integer value) {
            addCriterion("warehouse_status <=", value, "warehouseStatus");
            return (Criteria) this;
        }

        public Criteria andWarehouseStatusIn(List<Integer> values) {
            addCriterion("warehouse_status in", values, "warehouseStatus");
            return (Criteria) this;
        }

        public Criteria andWarehouseStatusNotIn(List<Integer> values) {
            addCriterion("warehouse_status not in", values, "warehouseStatus");
            return (Criteria) this;
        }

        public Criteria andWarehouseStatusBetween(Integer value1, Integer value2) {
            addCriterion("warehouse_status between", value1, value2, "warehouseStatus");
            return (Criteria) this;
        }

        public Criteria andWarehouseStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("warehouse_status not between", value1, value2, "warehouseStatus");
            return (Criteria) this;
        }

        public Criteria andStoreWayIsNull() {
            addCriterion("store_way is null");
            return (Criteria) this;
        }

        public Criteria andStoreWayIsNotNull() {
            addCriterion("store_way is not null");
            return (Criteria) this;
        }

        public Criteria andStoreWayEqualTo(Integer value) {
            addCriterion("store_way =", value, "storeWay");
            return (Criteria) this;
        }

        public Criteria andStoreWayNotEqualTo(Integer value) {
            addCriterion("store_way <>", value, "storeWay");
            return (Criteria) this;
        }

        public Criteria andStoreWayGreaterThan(Integer value) {
            addCriterion("store_way >", value, "storeWay");
            return (Criteria) this;
        }

        public Criteria andStoreWayGreaterThanOrEqualTo(Integer value) {
            addCriterion("store_way >=", value, "storeWay");
            return (Criteria) this;
        }

        public Criteria andStoreWayLessThan(Integer value) {
            addCriterion("store_way <", value, "storeWay");
            return (Criteria) this;
        }

        public Criteria andStoreWayLessThanOrEqualTo(Integer value) {
            addCriterion("store_way <=", value, "storeWay");
            return (Criteria) this;
        }

        public Criteria andStoreWayIn(List<Integer> values) {
            addCriterion("store_way in", values, "storeWay");
            return (Criteria) this;
        }

        public Criteria andStoreWayNotIn(List<Integer> values) {
            addCriterion("store_way not in", values, "storeWay");
            return (Criteria) this;
        }

        public Criteria andStoreWayBetween(Integer value1, Integer value2) {
            addCriterion("store_way between", value1, value2, "storeWay");
            return (Criteria) this;
        }

        public Criteria andStoreWayNotBetween(Integer value1, Integer value2) {
            addCriterion("store_way not between", value1, value2, "storeWay");
            return (Criteria) this;
        }

        public Criteria andWarehouseCapacityIsNull() {
            addCriterion("warehouse_capacity is null");
            return (Criteria) this;
        }

        public Criteria andWarehouseCapacityIsNotNull() {
            addCriterion("warehouse_capacity is not null");
            return (Criteria) this;
        }

        public Criteria andWarehouseCapacityEqualTo(BigDecimal value) {
            addCriterion("warehouse_capacity =", value, "warehouseCapacity");
            return (Criteria) this;
        }

        public Criteria andWarehouseCapacityNotEqualTo(BigDecimal value) {
            addCriterion("warehouse_capacity <>", value, "warehouseCapacity");
            return (Criteria) this;
        }

        public Criteria andWarehouseCapacityGreaterThan(BigDecimal value) {
            addCriterion("warehouse_capacity >", value, "warehouseCapacity");
            return (Criteria) this;
        }

        public Criteria andWarehouseCapacityGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("warehouse_capacity >=", value, "warehouseCapacity");
            return (Criteria) this;
        }

        public Criteria andWarehouseCapacityLessThan(BigDecimal value) {
            addCriterion("warehouse_capacity <", value, "warehouseCapacity");
            return (Criteria) this;
        }

        public Criteria andWarehouseCapacityLessThanOrEqualTo(BigDecimal value) {
            addCriterion("warehouse_capacity <=", value, "warehouseCapacity");
            return (Criteria) this;
        }

        public Criteria andWarehouseCapacityIn(List<BigDecimal> values) {
            addCriterion("warehouse_capacity in", values, "warehouseCapacity");
            return (Criteria) this;
        }

        public Criteria andWarehouseCapacityNotIn(List<BigDecimal> values) {
            addCriterion("warehouse_capacity not in", values, "warehouseCapacity");
            return (Criteria) this;
        }

        public Criteria andWarehouseCapacityBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("warehouse_capacity between", value1, value2, "warehouseCapacity");
            return (Criteria) this;
        }

        public Criteria andWarehouseCapacityNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("warehouse_capacity not between", value1, value2, "warehouseCapacity");
            return (Criteria) this;
        }

        public Criteria andDutystoremanIsNull() {
            addCriterion("dutystoreman is null");
            return (Criteria) this;
        }

        public Criteria andDutystoremanIsNotNull() {
            addCriterion("dutystoreman is not null");
            return (Criteria) this;
        }

        public Criteria andDutystoremanEqualTo(String value) {
            addCriterion("dutystoreman =", value, "dutystoreman");
            return (Criteria) this;
        }

        public Criteria andDutystoremanNotEqualTo(String value) {
            addCriterion("dutystoreman <>", value, "dutystoreman");
            return (Criteria) this;
        }

        public Criteria andDutystoremanGreaterThan(String value) {
            addCriterion("dutystoreman >", value, "dutystoreman");
            return (Criteria) this;
        }

        public Criteria andDutystoremanGreaterThanOrEqualTo(String value) {
            addCriterion("dutystoreman >=", value, "dutystoreman");
            return (Criteria) this;
        }

        public Criteria andDutystoremanLessThan(String value) {
            addCriterion("dutystoreman <", value, "dutystoreman");
            return (Criteria) this;
        }

        public Criteria andDutystoremanLessThanOrEqualTo(String value) {
            addCriterion("dutystoreman <=", value, "dutystoreman");
            return (Criteria) this;
        }

        public Criteria andDutystoremanLike(String value) {
            addCriterion("dutystoreman like", value, "dutystoreman");
            return (Criteria) this;
        }

        public Criteria andDutystoremanNotLike(String value) {
            addCriterion("dutystoreman not like", value, "dutystoreman");
            return (Criteria) this;
        }

        public Criteria andDutystoremanIn(List<String> values) {
            addCriterion("dutystoreman in", values, "dutystoreman");
            return (Criteria) this;
        }

        public Criteria andDutystoremanNotIn(List<String> values) {
            addCriterion("dutystoreman not in", values, "dutystoreman");
            return (Criteria) this;
        }

        public Criteria andDutystoremanBetween(String value1, String value2) {
            addCriterion("dutystoreman between", value1, value2, "dutystoreman");
            return (Criteria) this;
        }

        public Criteria andDutystoremanNotBetween(String value1, String value2) {
            addCriterion("dutystoreman not between", value1, value2, "dutystoreman");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andWareImgIsNull() {
            addCriterion("ware_img is null");
            return (Criteria) this;
        }

        public Criteria andWareImgIsNotNull() {
            addCriterion("ware_img is not null");
            return (Criteria) this;
        }

        public Criteria andWareImgEqualTo(String value) {
            addCriterion("ware_img =", value, "wareImg");
            return (Criteria) this;
        }

        public Criteria andWareImgNotEqualTo(String value) {
            addCriterion("ware_img <>", value, "wareImg");
            return (Criteria) this;
        }

        public Criteria andWareImgGreaterThan(String value) {
            addCriterion("ware_img >", value, "wareImg");
            return (Criteria) this;
        }

        public Criteria andWareImgGreaterThanOrEqualTo(String value) {
            addCriterion("ware_img >=", value, "wareImg");
            return (Criteria) this;
        }

        public Criteria andWareImgLessThan(String value) {
            addCriterion("ware_img <", value, "wareImg");
            return (Criteria) this;
        }

        public Criteria andWareImgLessThanOrEqualTo(String value) {
            addCriterion("ware_img <=", value, "wareImg");
            return (Criteria) this;
        }

        public Criteria andWareImgLike(String value) {
            addCriterion("ware_img like", value, "wareImg");
            return (Criteria) this;
        }

        public Criteria andWareImgNotLike(String value) {
            addCriterion("ware_img not like", value, "wareImg");
            return (Criteria) this;
        }

        public Criteria andWareImgIn(List<String> values) {
            addCriterion("ware_img in", values, "wareImg");
            return (Criteria) this;
        }

        public Criteria andWareImgNotIn(List<String> values) {
            addCriterion("ware_img not in", values, "wareImg");
            return (Criteria) this;
        }

        public Criteria andWareImgBetween(String value1, String value2) {
            addCriterion("ware_img between", value1, value2, "wareImg");
            return (Criteria) this;
        }

        public Criteria andWareImgNotBetween(String value1, String value2) {
            addCriterion("ware_img not between", value1, value2, "wareImg");
            return (Criteria) this;
        }

        public Criteria andCreatenameIsNull() {
            addCriterion("createname is null");
            return (Criteria) this;
        }

        public Criteria andCreatenameIsNotNull() {
            addCriterion("createname is not null");
            return (Criteria) this;
        }

        public Criteria andCreatenameEqualTo(String value) {
            addCriterion("createname =", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameNotEqualTo(String value) {
            addCriterion("createname <>", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameGreaterThan(String value) {
            addCriterion("createname >", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameGreaterThanOrEqualTo(String value) {
            addCriterion("createname >=", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameLessThan(String value) {
            addCriterion("createname <", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameLessThanOrEqualTo(String value) {
            addCriterion("createname <=", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameLike(String value) {
            addCriterion("createname like", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameNotLike(String value) {
            addCriterion("createname not like", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameIn(List<String> values) {
            addCriterion("createname in", values, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameNotIn(List<String> values) {
            addCriterion("createname not in", values, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameBetween(String value1, String value2) {
            addCriterion("createname between", value1, value2, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameNotBetween(String value1, String value2) {
            addCriterion("createname not between", value1, value2, "createname");
            return (Criteria) this;
        }

        public Criteria andUpdatenameIsNull() {
            addCriterion("updatename is null");
            return (Criteria) this;
        }

        public Criteria andUpdatenameIsNotNull() {
            addCriterion("updatename is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatenameEqualTo(String value) {
            addCriterion("updatename =", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameNotEqualTo(String value) {
            addCriterion("updatename <>", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameGreaterThan(String value) {
            addCriterion("updatename >", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameGreaterThanOrEqualTo(String value) {
            addCriterion("updatename >=", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameLessThan(String value) {
            addCriterion("updatename <", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameLessThanOrEqualTo(String value) {
            addCriterion("updatename <=", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameLike(String value) {
            addCriterion("updatename like", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameNotLike(String value) {
            addCriterion("updatename not like", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameIn(List<String> values) {
            addCriterion("updatename in", values, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameNotIn(List<String> values) {
            addCriterion("updatename not in", values, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameBetween(String value1, String value2) {
            addCriterion("updatename between", value1, value2, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameNotBetween(String value1, String value2) {
            addCriterion("updatename not between", value1, value2, "updatename");
            return (Criteria) this;
        }

        public Criteria andCreatedateIsNull() {
            addCriterion("createdate is null");
            return (Criteria) this;
        }

        public Criteria andCreatedateIsNotNull() {
            addCriterion("createdate is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedateEqualTo(Date value) {
            addCriterion("createdate =", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateNotEqualTo(Date value) {
            addCriterion("createdate <>", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateGreaterThan(Date value) {
            addCriterion("createdate >", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateGreaterThanOrEqualTo(Date value) {
            addCriterion("createdate >=", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateLessThan(Date value) {
            addCriterion("createdate <", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateLessThanOrEqualTo(Date value) {
            addCriterion("createdate <=", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateIn(List<Date> values) {
            addCriterion("createdate in", values, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateNotIn(List<Date> values) {
            addCriterion("createdate not in", values, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateBetween(Date value1, Date value2) {
            addCriterion("createdate between", value1, value2, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateNotBetween(Date value1, Date value2) {
            addCriterion("createdate not between", value1, value2, "createdate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateIsNull() {
            addCriterion("updatedate is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedateIsNotNull() {
            addCriterion("updatedate is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedateEqualTo(Date value) {
            addCriterion("updatedate =", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateNotEqualTo(Date value) {
            addCriterion("updatedate <>", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateGreaterThan(Date value) {
            addCriterion("updatedate >", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateGreaterThanOrEqualTo(Date value) {
            addCriterion("updatedate >=", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateLessThan(Date value) {
            addCriterion("updatedate <", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateLessThanOrEqualTo(Date value) {
            addCriterion("updatedate <=", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateIn(List<Date> values) {
            addCriterion("updatedate in", values, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateNotIn(List<Date> values) {
            addCriterion("updatedate not in", values, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateBetween(Date value1, Date value2) {
            addCriterion("updatedate between", value1, value2, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateNotBetween(Date value1, Date value2) {
            addCriterion("updatedate not between", value1, value2, "updatedate");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNull() {
            addCriterion("del_flag is null");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNotNull() {
            addCriterion("del_flag is not null");
            return (Criteria) this;
        }

        public Criteria andDelFlagEqualTo(Integer value) {
            addCriterion("del_flag =", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotEqualTo(Integer value) {
            addCriterion("del_flag <>", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThan(Integer value) {
            addCriterion("del_flag >", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("del_flag >=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThan(Integer value) {
            addCriterion("del_flag <", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThanOrEqualTo(Integer value) {
            addCriterion("del_flag <=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagIn(List<Integer> values) {
            addCriterion("del_flag in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotIn(List<Integer> values) {
            addCriterion("del_flag not in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagBetween(Integer value1, Integer value2) {
            addCriterion("del_flag between", value1, value2, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("del_flag not between", value1, value2, "delFlag");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andLibraryTypeIsNull() {
            addCriterion("library_type is null");
            return (Criteria) this;
        }

        public Criteria andLibraryTypeIsNotNull() {
            addCriterion("library_type is not null");
            return (Criteria) this;
        }

        public Criteria andLibraryTypeEqualTo(String value) {
            addCriterion("library_type =", value, "libraryType");
            return (Criteria) this;
        }

        public Criteria andLibraryTypeNotEqualTo(String value) {
            addCriterion("library_type <>", value, "libraryType");
            return (Criteria) this;
        }

        public Criteria andLibraryTypeGreaterThan(String value) {
            addCriterion("library_type >", value, "libraryType");
            return (Criteria) this;
        }

        public Criteria andLibraryTypeGreaterThanOrEqualTo(String value) {
            addCriterion("library_type >=", value, "libraryType");
            return (Criteria) this;
        }

        public Criteria andLibraryTypeLessThan(String value) {
            addCriterion("library_type <", value, "libraryType");
            return (Criteria) this;
        }

        public Criteria andLibraryTypeLessThanOrEqualTo(String value) {
            addCriterion("library_type <=", value, "libraryType");
            return (Criteria) this;
        }

        public Criteria andLibraryTypeLike(String value) {
            addCriterion("library_type like", value, "libraryType");
            return (Criteria) this;
        }

        public Criteria andLibraryTypeNotLike(String value) {
            addCriterion("library_type not like", value, "libraryType");
            return (Criteria) this;
        }

        public Criteria andLibraryTypeIn(List<String> values) {
            addCriterion("library_type in", values, "libraryType");
            return (Criteria) this;
        }

        public Criteria andLibraryTypeNotIn(List<String> values) {
            addCriterion("library_type not in", values, "libraryType");
            return (Criteria) this;
        }

        public Criteria andLibraryTypeBetween(String value1, String value2) {
            addCriterion("library_type between", value1, value2, "libraryType");
            return (Criteria) this;
        }

        public Criteria andLibraryTypeNotBetween(String value1, String value2) {
            addCriterion("library_type not between", value1, value2, "libraryType");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andHwbmIsNull() {
            addCriterion("hwbm is null");
            return (Criteria) this;
        }

        public Criteria andHwbmIsNotNull() {
            addCriterion("hwbm is not null");
            return (Criteria) this;
        }

        public Criteria andHwbmEqualTo(String value) {
            addCriterion("hwbm =", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotEqualTo(String value) {
            addCriterion("hwbm <>", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmGreaterThan(String value) {
            addCriterion("hwbm >", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmGreaterThanOrEqualTo(String value) {
            addCriterion("hwbm >=", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLessThan(String value) {
            addCriterion("hwbm <", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLessThanOrEqualTo(String value) {
            addCriterion("hwbm <=", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmLike(String value) {
            addCriterion("hwbm like", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotLike(String value) {
            addCriterion("hwbm not like", value, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmIn(List<String> values) {
            addCriterion("hwbm in", values, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotIn(List<String> values) {
            addCriterion("hwbm not in", values, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmBetween(String value1, String value2) {
            addCriterion("hwbm between", value1, value2, "hwbm");
            return (Criteria) this;
        }

        public Criteria andHwbmNotBetween(String value1, String value2) {
            addCriterion("hwbm not between", value1, value2, "hwbm");
            return (Criteria) this;
        }

        public Criteria andLengthIsNull() {
            addCriterion("length is null");
            return (Criteria) this;
        }

        public Criteria andLengthIsNotNull() {
            addCriterion("length is not null");
            return (Criteria) this;
        }

        public Criteria andLengthEqualTo(BigDecimal value) {
            addCriterion("length =", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthNotEqualTo(BigDecimal value) {
            addCriterion("length <>", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthGreaterThan(BigDecimal value) {
            addCriterion("length >", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("length >=", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthLessThan(BigDecimal value) {
            addCriterion("length <", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthLessThanOrEqualTo(BigDecimal value) {
            addCriterion("length <=", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthIn(List<BigDecimal> values) {
            addCriterion("length in", values, "length");
            return (Criteria) this;
        }

        public Criteria andLengthNotIn(List<BigDecimal> values) {
            addCriterion("length not in", values, "length");
            return (Criteria) this;
        }

        public Criteria andLengthBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("length between", value1, value2, "length");
            return (Criteria) this;
        }

        public Criteria andLengthNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("length not between", value1, value2, "length");
            return (Criteria) this;
        }

        public Criteria andWidthIsNull() {
            addCriterion("width is null");
            return (Criteria) this;
        }

        public Criteria andWidthIsNotNull() {
            addCriterion("width is not null");
            return (Criteria) this;
        }

        public Criteria andWidthEqualTo(BigDecimal value) {
            addCriterion("width =", value, "width");
            return (Criteria) this;
        }

        public Criteria andWidthNotEqualTo(BigDecimal value) {
            addCriterion("width <>", value, "width");
            return (Criteria) this;
        }

        public Criteria andWidthGreaterThan(BigDecimal value) {
            addCriterion("width >", value, "width");
            return (Criteria) this;
        }

        public Criteria andWidthGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("width >=", value, "width");
            return (Criteria) this;
        }

        public Criteria andWidthLessThan(BigDecimal value) {
            addCriterion("width <", value, "width");
            return (Criteria) this;
        }

        public Criteria andWidthLessThanOrEqualTo(BigDecimal value) {
            addCriterion("width <=", value, "width");
            return (Criteria) this;
        }

        public Criteria andWidthIn(List<BigDecimal> values) {
            addCriterion("width in", values, "width");
            return (Criteria) this;
        }

        public Criteria andWidthNotIn(List<BigDecimal> values) {
            addCriterion("width not in", values, "width");
            return (Criteria) this;
        }

        public Criteria andWidthBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("width between", value1, value2, "width");
            return (Criteria) this;
        }

        public Criteria andWidthNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("width not between", value1, value2, "width");
            return (Criteria) this;
        }

        public Criteria andHeigthIsNull() {
            addCriterion("heigth is null");
            return (Criteria) this;
        }

        public Criteria andHeigthIsNotNull() {
            addCriterion("heigth is not null");
            return (Criteria) this;
        }

        public Criteria andHeigthEqualTo(BigDecimal value) {
            addCriterion("heigth =", value, "heigth");
            return (Criteria) this;
        }

        public Criteria andHeigthNotEqualTo(BigDecimal value) {
            addCriterion("heigth <>", value, "heigth");
            return (Criteria) this;
        }

        public Criteria andHeigthGreaterThan(BigDecimal value) {
            addCriterion("heigth >", value, "heigth");
            return (Criteria) this;
        }

        public Criteria andHeigthGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("heigth >=", value, "heigth");
            return (Criteria) this;
        }

        public Criteria andHeigthLessThan(BigDecimal value) {
            addCriterion("heigth <", value, "heigth");
            return (Criteria) this;
        }

        public Criteria andHeigthLessThanOrEqualTo(BigDecimal value) {
            addCriterion("heigth <=", value, "heigth");
            return (Criteria) this;
        }

        public Criteria andHeigthIn(List<BigDecimal> values) {
            addCriterion("heigth in", values, "heigth");
            return (Criteria) this;
        }

        public Criteria andHeigthNotIn(List<BigDecimal> values) {
            addCriterion("heigth not in", values, "heigth");
            return (Criteria) this;
        }

        public Criteria andHeigthBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("heigth between", value1, value2, "heigth");
            return (Criteria) this;
        }

        public Criteria andHeigthNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("heigth not between", value1, value2, "heigth");
            return (Criteria) this;
        }

        public Criteria andContactNumberIsNull() {
            addCriterion("contact_number is null");
            return (Criteria) this;
        }

        public Criteria andContactNumberIsNotNull() {
            addCriterion("contact_number is not null");
            return (Criteria) this;
        }

        public Criteria andContactNumberEqualTo(String value) {
            addCriterion("contact_number =", value, "contactNumber");
            return (Criteria) this;
        }

        public Criteria andContactNumberNotEqualTo(String value) {
            addCriterion("contact_number <>", value, "contactNumber");
            return (Criteria) this;
        }

        public Criteria andContactNumberGreaterThan(String value) {
            addCriterion("contact_number >", value, "contactNumber");
            return (Criteria) this;
        }

        public Criteria andContactNumberGreaterThanOrEqualTo(String value) {
            addCriterion("contact_number >=", value, "contactNumber");
            return (Criteria) this;
        }

        public Criteria andContactNumberLessThan(String value) {
            addCriterion("contact_number <", value, "contactNumber");
            return (Criteria) this;
        }

        public Criteria andContactNumberLessThanOrEqualTo(String value) {
            addCriterion("contact_number <=", value, "contactNumber");
            return (Criteria) this;
        }

        public Criteria andContactNumberLike(String value) {
            addCriterion("contact_number like", value, "contactNumber");
            return (Criteria) this;
        }

        public Criteria andContactNumberNotLike(String value) {
            addCriterion("contact_number not like", value, "contactNumber");
            return (Criteria) this;
        }

        public Criteria andContactNumberIn(List<String> values) {
            addCriterion("contact_number in", values, "contactNumber");
            return (Criteria) this;
        }

        public Criteria andContactNumberNotIn(List<String> values) {
            addCriterion("contact_number not in", values, "contactNumber");
            return (Criteria) this;
        }

        public Criteria andContactNumberBetween(String value1, String value2) {
            addCriterion("contact_number between", value1, value2, "contactNumber");
            return (Criteria) this;
        }

        public Criteria andContactNumberNotBetween(String value1, String value2) {
            addCriterion("contact_number not between", value1, value2, "contactNumber");
            return (Criteria) this;
        }

        public Criteria andCrkStatusIsNull() {
            addCriterion("crk_status is null");
            return (Criteria) this;
        }

        public Criteria andCrkStatusIsNotNull() {
            addCriterion("crk_status is not null");
            return (Criteria) this;
        }

        public Criteria andCrkStatusEqualTo(String value) {
            addCriterion("crk_status =", value, "crkStatus");
            return (Criteria) this;
        }

        public Criteria andCrkStatusNotEqualTo(String value) {
            addCriterion("crk_status <>", value, "crkStatus");
            return (Criteria) this;
        }

        public Criteria andCrkStatusGreaterThan(String value) {
            addCriterion("crk_status >", value, "crkStatus");
            return (Criteria) this;
        }

        public Criteria andCrkStatusGreaterThanOrEqualTo(String value) {
            addCriterion("crk_status >=", value, "crkStatus");
            return (Criteria) this;
        }

        public Criteria andCrkStatusLessThan(String value) {
            addCriterion("crk_status <", value, "crkStatus");
            return (Criteria) this;
        }

        public Criteria andCrkStatusLessThanOrEqualTo(String value) {
            addCriterion("crk_status <=", value, "crkStatus");
            return (Criteria) this;
        }

        public Criteria andCrkStatusLike(String value) {
            addCriterion("crk_status like", value, "crkStatus");
            return (Criteria) this;
        }

        public Criteria andCrkStatusNotLike(String value) {
            addCriterion("crk_status not like", value, "crkStatus");
            return (Criteria) this;
        }

        public Criteria andCrkStatusIn(List<String> values) {
            addCriterion("crk_status in", values, "crkStatus");
            return (Criteria) this;
        }

        public Criteria andCrkStatusNotIn(List<String> values) {
            addCriterion("crk_status not in", values, "crkStatus");
            return (Criteria) this;
        }

        public Criteria andCrkStatusBetween(String value1, String value2) {
            addCriterion("crk_status between", value1, value2, "crkStatus");
            return (Criteria) this;
        }

        public Criteria andCrkStatusNotBetween(String value1, String value2) {
            addCriterion("crk_status not between", value1, value2, "crkStatus");
            return (Criteria) this;
        }
        
        public Criteria andHwdmEqualTo(String value) {
            addCriterion("hwdm =", value, "hwdm");
            return (Criteria) this;
        }
        
        public Criteria andSptDataidEqualTo(String value) {
            addCriterion("spt_dataid =", value, "sptDataid");
            return (Criteria) this;
        }
        
        public Criteria andSptDataidNotEqualTo(String value) {
            addCriterion("spt_dataid <>", value, "sptDataid");
            return (Criteria) this;
        }
    }

    /**
     * basic_warehouse
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * basic_warehouse 2020-07-28
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}