package com.chinaitop.depot.basic.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

public class PurchaseContractAccount {
    private Integer id;

    private Integer orgId;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    /**
     * 年度轮换计划通知文件
     */
    private String ndlhjhtzwh;

    /**
     * 委托轮换协议号
     */
    private String wtlhxyh;

    /**
     * 轮换公司
     */
    private String lhgs;

    /**
     * 轮换年度
     */
    private String lhnd;

    /**
     * 轮换截至日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date lhjzrq;

    /**
     * 轮换出库是否上台交易
     */
    private Integer lhcksfstjy;

    /**
     * 轮换出库出库通知单计划号
     */
    private String lhckcktzdjhh;

    /**
     * 轮换出库出库截止日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date lhckckjzrq;

    /**
     * 轮换出库轮出仓号
     */
    private String lhcklcch;

    /**
     * 轮换出库品种
     */
    private String lhckpz;

    /**
     * 轮换出库轮出数量
     */
    private Integer lhcklcsl;

    /**
     * 轮换出库轮出销售合同编号
     */
    private String lhcklcxshtbh;

    /**
     * 轮换出库轮出购买方名称
     */
    private String lhcklcgmfmc;

    /**
     * 轮换出库单位
     */
    private String lhckdw;

    /**
     * 轮换出库收款日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date lhckskrq;

    /**
     * 轮换出库收款金额
     */
    private BigDecimal lhckskje;

    /**
     * 轮换出库实际出库开始日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date lhcksjckksrq;

    /**
     * 轮换出库实际出库完成时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date lhcksjckwcsj;

    /**
     * 轮换出库出库损耗定限损耗
     */
    private String lhckckshdxsh;

    /**
     * 轮换出库出库损耗实际损耗
     */
    private String lhckckshsjsh;

    /**
     * 轮换出库备注
     */
    private String lhckbz;

    /**
     * 轮换入库是否上台交易
     */
    private Integer lhrksfstjy;

    /**
     * 轮换入库入库通知单计划号
     */
    private String lhrkrktzdjhh;

    /**
     * 轮换入库入库截至日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date lhrkjzrq;

    /**
     * 轮换入库轮入仓号
     */
    private String lhrklrch;

    /**
     * 轮换入库品种
     */
    private String lhrkpz;

    /**
     * 轮换入库品种
     */
    private Integer lhrklrsl;

    /**
     * 轮换入库沦入采购合同编号
     */
    private String lhrklrcghtbh;

    /**
     * 轮换入库沦入供应方名称
     */
    private String lhrklrgyfmc;

    /**
     * 轮换入库沦入单位
     */
    private String lhrkdw;

    /**
     * 轮换入库付款时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date lhrkfksj;

    /**
     * 轮换入库付款金额
     */
    private String lhrkfkje;

    /**
     * 轮换入库实际入库开始日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date lhrksjrkksrq;

    /**
     * 轮换入库实际入库结束时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date lhrksjrkjssj;

    /**
     * 轮换入库备注
     */
    private String lhrkbz;

    /**
     * null
     * @return id null
     */
    public Integer getId() {
        return id;
    }

    /**
     * null
     * @param id null
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * null
     * @return org_id null
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * null
     * @param orgId null
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * null
     * @return create_time null
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * null
     * @param createTime null
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * null
     * @return ndlhjhtzwh null
     */
    public String getNdlhjhtzwh() {
        return ndlhjhtzwh;
    }

    /**
     * null
     * @param ndlhjhtzwh null
     */
    public void setNdlhjhtzwh(String ndlhjhtzwh) {
        this.ndlhjhtzwh = ndlhjhtzwh == null ? null : ndlhjhtzwh.trim();
    }

    /**
     * null
     * @return wtlhxyh null
     */
    public String getWtlhxyh() {
        return wtlhxyh;
    }

    /**
     * null
     * @param wtlhxyh null
     */
    public void setWtlhxyh(String wtlhxyh) {
        this.wtlhxyh = wtlhxyh == null ? null : wtlhxyh.trim();
    }

    /**
     * null
     * @return lhgs null
     */
    public String getLhgs() {
        return lhgs;
    }

    /**
     * null
     * @param lhgs null
     */
    public void setLhgs(String lhgs) {
        this.lhgs = lhgs == null ? null : lhgs.trim();
    }

    /**
     * null
     * @return lhnd null
     */
    public String getLhnd() {
        return lhnd;
    }

    /**
     * null
     * @param lhnd null
     */
    public void setLhnd(String lhnd) {
        this.lhnd = lhnd == null ? null : lhnd.trim();
    }

    /**
     * null
     * @return lhjzrq null
     */
    public Date getLhjzrq() {
        return lhjzrq;
    }

    /**
     * null
     * @param lhjzrq null
     */
    public void setLhjzrq(Date lhjzrq) {
        this.lhjzrq = lhjzrq;
    }

    /**
     * null
     * @return lhcksfstjy null
     */
    public Integer getLhcksfstjy() {
        return lhcksfstjy;
    }

    /**
     * null
     * @param lhcksfstjy null
     */
    public void setLhcksfstjy(Integer lhcksfstjy) {
        this.lhcksfstjy = lhcksfstjy;
    }

    /**
     * null
     * @return lhckcktzdjhh null
     */
    public String getLhckcktzdjhh() {
        return lhckcktzdjhh;
    }

    /**
     * null
     * @param lhckcktzdjhh null
     */
    public void setLhckcktzdjhh(String lhckcktzdjhh) {
        this.lhckcktzdjhh = lhckcktzdjhh == null ? null : lhckcktzdjhh.trim();
    }

    /**
     * null
     * @return lhckckjzrq null
     */
    public Date getLhckckjzrq() {
        return lhckckjzrq;
    }

    /**
     * null
     * @param lhckckjzrq null
     */
    public void setLhckckjzrq(Date lhckckjzrq) {
        this.lhckckjzrq = lhckckjzrq;
    }

    /**
     * null
     * @return lhcklcch null
     */
    public String getLhcklcch() {
        return lhcklcch;
    }

    /**
     * null
     * @param lhcklcch null
     */
    public void setLhcklcch(String lhcklcch) {
        this.lhcklcch = lhcklcch == null ? null : lhcklcch.trim();
    }

    /**
     * null
     * @return lhckpz null
     */
    public String getLhckpz() {
        return lhckpz;
    }

    /**
     * null
     * @param lhckpz null
     */
    public void setLhckpz(String lhckpz) {
        this.lhckpz = lhckpz == null ? null : lhckpz.trim();
    }

    /**
     * null
     * @return lhcklcsl null
     */
    public Integer getLhcklcsl() {
        return lhcklcsl;
    }

    /**
     * null
     * @param lhcklcsl null
     */
    public void setLhcklcsl(Integer lhcklcsl) {
        this.lhcklcsl = lhcklcsl;
    }

    /**
     * null
     * @return lhcklcxshtbh null
     */
    public String getLhcklcxshtbh() {
        return lhcklcxshtbh;
    }

    /**
     * null
     * @param lhcklcxshtbh null
     */
    public void setLhcklcxshtbh(String lhcklcxshtbh) {
        this.lhcklcxshtbh = lhcklcxshtbh == null ? null : lhcklcxshtbh.trim();
    }

    /**
     * null
     * @return lhcklcgmfmc null
     */
    public String getLhcklcgmfmc() {
        return lhcklcgmfmc;
    }

    /**
     * null
     * @param lhcklcgmfmc null
     */
    public void setLhcklcgmfmc(String lhcklcgmfmc) {
        this.lhcklcgmfmc = lhcklcgmfmc == null ? null : lhcklcgmfmc.trim();
    }

    /**
     * null
     * @return lhckdw null
     */
    public String getLhckdw() {
        return lhckdw;
    }

    /**
     * null
     * @param lhckdw null
     */
    public void setLhckdw(String lhckdw) {
        this.lhckdw = lhckdw == null ? null : lhckdw.trim();
    }

    /**
     * null
     * @return lhckskrq null
     */
    public Date getLhckskrq() {
        return lhckskrq;
    }

    /**
     * null
     * @param lhckskrq null
     */
    public void setLhckskrq(Date lhckskrq) {
        this.lhckskrq = lhckskrq;
    }

    /**
     * null
     * @return lhckskje null
     */
    public BigDecimal getLhckskje() {
        return lhckskje;
    }

    /**
     * null
     * @param lhckskje null
     */
    public void setLhckskje(BigDecimal lhckskje) {
        this.lhckskje = lhckskje;
    }

    /**
     * null
     * @return lhcksjckksrq null
     */
    public Date getLhcksjckksrq() {
        return lhcksjckksrq;
    }

    /**
     * null
     * @param lhcksjckksrq null
     */
    public void setLhcksjckksrq(Date lhcksjckksrq) {
        this.lhcksjckksrq = lhcksjckksrq;
    }

    /**
     * null
     * @return lhcksjckwcsj null
     */
    public Date getLhcksjckwcsj() {
        return lhcksjckwcsj;
    }

    /**
     * null
     * @param lhcksjckwcsj null
     */
    public void setLhcksjckwcsj(Date lhcksjckwcsj) {
        this.lhcksjckwcsj = lhcksjckwcsj;
    }

    /**
     * null
     * @return lhckckshdxsh null
     */
    public String getLhckckshdxsh() {
        return lhckckshdxsh;
    }

    /**
     * null
     * @param lhckckshdxsh null
     */
    public void setLhckckshdxsh(String lhckckshdxsh) {
        this.lhckckshdxsh = lhckckshdxsh == null ? null : lhckckshdxsh.trim();
    }

    /**
     * null
     * @return lhckckshsjsh null
     */
    public String getLhckckshsjsh() {
        return lhckckshsjsh;
    }

    /**
     * null
     * @param lhckckshsjsh null
     */
    public void setLhckckshsjsh(String lhckckshsjsh) {
        this.lhckckshsjsh = lhckckshsjsh == null ? null : lhckckshsjsh.trim();
    }

    /**
     * null
     * @return lhckbz null
     */
    public String getLhckbz() {
        return lhckbz;
    }

    /**
     * null
     * @param lhckbz null
     */
    public void setLhckbz(String lhckbz) {
        this.lhckbz = lhckbz == null ? null : lhckbz.trim();
    }

    /**
     * null
     * @return lhrksfstjy null
     */
    public Integer getLhrksfstjy() {
        return lhrksfstjy;
    }

    /**
     * null
     * @param lhrksfstjy null
     */
    public void setLhrksfstjy(Integer lhrksfstjy) {
        this.lhrksfstjy = lhrksfstjy;
    }

    /**
     * null
     * @return lhrkrktzdjhh null
     */
    public String getLhrkrktzdjhh() {
        return lhrkrktzdjhh;
    }

    /**
     * null
     * @param lhrkrktzdjhh null
     */
    public void setLhrkrktzdjhh(String lhrkrktzdjhh) {
        this.lhrkrktzdjhh = lhrkrktzdjhh == null ? null : lhrkrktzdjhh.trim();
    }

    /**
     * null
     * @return lhrkjzrq null
     */
    public Date getLhrkjzrq() {
        return lhrkjzrq;
    }

    /**
     * null
     * @param lhrkjzrq null
     */
    public void setLhrkjzrq(Date lhrkjzrq) {
        this.lhrkjzrq = lhrkjzrq;
    }

    /**
     * null
     * @return lhrklrch null
     */
    public String getLhrklrch() {
        return lhrklrch;
    }

    /**
     * null
     * @param lhrklrch null
     */
    public void setLhrklrch(String lhrklrch) {
        this.lhrklrch = lhrklrch == null ? null : lhrklrch.trim();
    }

    /**
     * null
     * @return lhrkpz null
     */
    public String getLhrkpz() {
        return lhrkpz;
    }

    /**
     * null
     * @param lhrkpz null
     */
    public void setLhrkpz(String lhrkpz) {
        this.lhrkpz = lhrkpz == null ? null : lhrkpz.trim();
    }

    /**
     * null
     * @return lhrklrsl null
     */
    public Integer getLhrklrsl() {
        return lhrklrsl;
    }

    /**
     * null
     * @param lhrklrsl null
     */
    public void setLhrklrsl(Integer lhrklrsl) {
        this.lhrklrsl = lhrklrsl;
    }

    /**
     * null
     * @return lhrklrcghtbh null
     */
    public String getLhrklrcghtbh() {
        return lhrklrcghtbh;
    }

    /**
     * null
     * @param lhrklrcghtbh null
     */
    public void setLhrklrcghtbh(String lhrklrcghtbh) {
        this.lhrklrcghtbh = lhrklrcghtbh == null ? null : lhrklrcghtbh.trim();
    }

    /**
     * null
     * @return lhrklrgyfmc null
     */
    public String getLhrklrgyfmc() {
        return lhrklrgyfmc;
    }

    /**
     * null
     * @param lhrklrgyfmc null
     */
    public void setLhrklrgyfmc(String lhrklrgyfmc) {
        this.lhrklrgyfmc = lhrklrgyfmc == null ? null : lhrklrgyfmc.trim();
    }

    /**
     * null
     * @return lhrkdw null
     */
    public String getLhrkdw() {
        return lhrkdw;
    }

    /**
     * null
     * @param lhrkdw null
     */
    public void setLhrkdw(String lhrkdw) {
        this.lhrkdw = lhrkdw == null ? null : lhrkdw.trim();
    }

    /**
     * null
     * @return lhrkfksj null
     */
    public Date getLhrkfksj() {
        return lhrkfksj;
    }

    /**
     * null
     * @param lhrkfksj null
     */
    public void setLhrkfksj(Date lhrkfksj) {
        this.lhrkfksj = lhrkfksj;
    }

    /**
     * null
     * @return lhrkfkje null
     */
    public String getLhrkfkje() {
        return lhrkfkje;
    }

    /**
     * null
     * @param lhrkfkje null
     */
    public void setLhrkfkje(String lhrkfkje) {
        this.lhrkfkje = lhrkfkje == null ? null : lhrkfkje.trim();
    }

    /**
     * null
     * @return lhrksjrkksrq null
     */
    public Date getLhrksjrkksrq() {
        return lhrksjrkksrq;
    }

    /**
     * null
     * @param lhrksjrkksrq null
     */
    public void setLhrksjrkksrq(Date lhrksjrkksrq) {
        this.lhrksjrkksrq = lhrksjrkksrq;
    }

    /**
     * null
     * @return lhrksjrkjssj null
     */
    public Date getLhrksjrkjssj() {
        return lhrksjrkjssj;
    }

    /**
     * null
     * @param lhrksjrkjssj null
     */
    public void setLhrksjrkjssj(Date lhrksjrkjssj) {
        this.lhrksjrkjssj = lhrksjrkjssj;
    }

    /**
     * null
     * @return lhrkbz null
     */
    public String getLhrkbz() {
        return lhrkbz;
    }

    /**
     * null
     * @param lhrkbz null
     */
    public void setLhrkbz(String lhrkbz) {
        this.lhrkbz = lhrkbz == null ? null : lhrkbz.trim();
    }
}