package com.chinaitop.depot.basic.service;

import java.util.List;

import com.chinaitop.depot.basic.model.BasicProcessMain;
import com.chinaitop.depot.basic.model.BasicProcessMainExample;

public interface BasicProcessMainService {

	/**
	 * 查询工作流程数据列表
	 * 
	 * @param example 条件
	 * @return
	 */
	List<BasicProcessMain> selectByExample(BasicProcessMainExample example);

	/**
	 * 查询一条流程配置主表数据
	 * 
	 * @param id 数据ID
	 * @return
	 */
	BasicProcessMain selectByPrimaryKey(Integer id);
}
