/**
 * 
 */
package com.chinaitop.depot.basic.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.chinaitop.depot.basic.mapper.BasicCodeRuleRecordMapper;
import com.chinaitop.depot.basic.model.BasicCodeRuleRecord;
import com.chinaitop.depot.basic.model.BasicCodeRuleRecordExample;
import com.chinaitop.depot.basic.service.BasicCodeRuleRecordService;

/**
 * <p>Title: BasicCodeRuleRecordServiceImpl</p>
 * <p>Description: </p>
 * @author yaoyabin
 * @date 2018年3月1日 下午6:24:15
 */
@Service
public class BasicCodeRuleRecordServiceImpl implements
        BasicCodeRuleRecordService {

    @Autowired
    private BasicCodeRuleRecordMapper basicCodeRuleRecordMapper;
    @Override
    public List<BasicCodeRuleRecord> queryByExample(
            BasicCodeRuleRecordExample recordExample) {
        return basicCodeRuleRecordMapper.selectByExample(recordExample);
    }

    @Override
    public void add(BasicCodeRuleRecord record) {
        basicCodeRuleRecordMapper.insert(record);
    }

}
