package com.chinaitop.depot.job.model;

import java.util.Date;

public class ScheduleJobLog {
    private Long logId;

    private Long jobId;

    private String beanName;

    private String methodName;

    private String params;

    private Byte status;

    private String error;

    private Integer times;

    private Date createTime;

    /**
     * 任务日志id
     * @return log_id 任务日志id
     */
    public Long getLogId() {
        return logId;
    }

    /**
     * 任务日志id
     * @param logId 任务日志id
     */
    public void setLogId(Long logId) {
        this.logId = logId;
    }

    /**
     * 任务id
     * @return job_id 任务id
     */
    public Long getJobId() {
        return jobId;
    }

    /**
     * 任务id
     * @param jobId 任务id
     */
    public void setJobId(Long jobId) {
        this.jobId = jobId;
    }

    /**
     * spring bean名称
     * @return bean_name spring bean名称
     */
    public String getBeanName() {
        return beanName;
    }

    /**
     * spring bean名称
     * @param beanName spring bean名称
     */
    public void setBeanName(String beanName) {
        this.beanName = beanName == null ? null : beanName.trim();
    }

    /**
     * 方法名
     * @return method_name 方法名
     */
    public String getMethodName() {
        return methodName;
    }

    /**
     * 方法名
     * @param methodName 方法名
     */
    public void setMethodName(String methodName) {
        this.methodName = methodName == null ? null : methodName.trim();
    }

    /**
     * 参数
     * @return params 参数
     */
    public String getParams() {
        return params;
    }

    /**
     * 参数
     * @param params 参数
     */
    public void setParams(String params) {
        this.params = params == null ? null : params.trim();
    }

    /**
     * 任务状态    0：成功    1：失败
     * @return status 任务状态    0：成功    1：失败
     */
    public Byte getStatus() {
        return status;
    }

    /**
     * 任务状态    0：成功    1：失败
     * @param status 任务状态    0：成功    1：失败
     */
    public void setStatus(Byte status) {
        this.status = status;
    }

    /**
     * 失败信息
     * @return error 失败信息
     */
    public String getError() {
        return error;
    }

    /**
     * 失败信息
     * @param error 失败信息
     */
    public void setError(String error) {
        this.error = error == null ? null : error.trim();
    }

    /**
     * 耗时(单位：毫秒)
     * @return times 耗时(单位：毫秒)
     */
    public Integer getTimes() {
        return times;
    }

    /**
     * 耗时(单位：毫秒)
     * @param times 耗时(单位：毫秒)
     */
    public void setTimes(Integer times) {
        this.times = times;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}