package com.chinaitop.depot.unissoft.serviceconfig;

import javax.xml.ws.Endpoint;

import org.apache.cxf.Bus;
import org.apache.cxf.bus.spring.SpringBus;
import org.apache.cxf.jaxws.EndpointImpl;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.chinaitop.depot.unissoft.webservice.BasicWarehouseWebService;
import com.chinaitop.depot.unissoft.webservice.BasicWarehouseWebServiceImpl;

@Configuration
public class CxfConfig {
    /*@Bean
    public ServletRegistrationBean dispatcherServlet() {
        return new ServletRegistrationBean(new CXFServlet(),"/business/*");
    }*/
    @Bean(name = Bus.DEFAULT_BUS_ID)
    public SpringBus springBus() {
        return new SpringBus();
    }

    //货位管理
    @Bean
    public BasicWarehouseWebService basicWarehouseWebService() {
        return new BasicWarehouseWebServiceImpl();
    }
    @Bean
    public Endpoint uploadCfStatus() {
        EndpointImpl endpoint = new EndpointImpl(springBus(), basicWarehouseWebService());
        endpoint.publish("/basicWarehouseWebService");
        return endpoint;
    }

}
